Activity log for bug #1520343

Date Who What changed Old value New value Message
2015-11-26 19:15:00 Dennis Marttinen bug added bug
2015-11-26 20:20:11 Ubuntu Foundations Team Bug Bot tags bot-comment
2015-11-26 20:48:32 Dennis Marttinen affects ubuntu linux (Ubuntu)
2015-11-26 21:00:06 Brad Figg linux (Ubuntu): status New Incomplete
2015-11-26 21:29:03 Dennis Marttinen tags bot-comment apport-collected bot-comment xenial
2015-11-26 21:29:04 Dennis Marttinen description I have recently installed Ubuntu 15.10 (64-bit) alongside Windows 10 on an Acer Aspire VN7-792G-76ZH and discovered, that the Qualcomm wireless card doesn't work. The card has the device id 168c:003e as many other cards, for example the Qualcomm Atheros Killer (https://bugs.launchpad.net/ubuntu/+source/linux/+bug/1383184), but it has a newer revision number (32) and the suggested fixes work only partially and the wireless is unusable. The computer has just been released this summer and is Intel Skylake -based. My lspci: 00:00.0 Host bridge [0600]: Intel Corporation Sky Lake Host Bridge/DRAM Registers [8086:1910] (rev 07) 00:01.0 PCI bridge [0604]: Intel Corporation Sky Lake PCIe Controller (x16) [8086:1901] (rev 07) 00:02.0 VGA compatible controller [0300]: Intel Corporation Device [8086:191b] (rev 06) 00:14.0 USB controller [0c03]: Intel Corporation Sunrise Point-H USB 3.0 xHCI Controller [8086:a12f] (rev 31) 00:14.2 Signal processing controller [1180]: Intel Corporation Sunrise Point-H Thermal subsystem [8086:a131] (rev 31) 00:15.0 Signal processing controller [1180]: Intel Corporation Sunrise Point-H LPSS I2C Controller #0 [8086:a160] (rev 31) 00:15.1 Signal processing controller [1180]: Intel Corporation Sunrise Point-H LPSS I2C Controller #1 [8086:a161] (rev 31) 00:16.0 Communication controller [0780]: Intel Corporation Sunrise Point-H CSME HECI #1 [8086:a13a] (rev 31) 00:17.0 SATA controller [0106]: Intel Corporation Sunrise Point-H SATA Controller [AHCI mode] [8086:a103] (rev 31) 00:1c.0 PCI bridge [0604]: Intel Corporation Sunrise Point-H PCI Express Root Port #3 [8086:a112] (rev f1) 00:1c.3 PCI bridge [0604]: Intel Corporation Sunrise Point-H PCI Express Root Port #4 [8086:a113] (rev f1) 00:1c.4 PCI bridge [0604]: Intel Corporation Sunrise Point-H PCI Express Root Port #5 [8086:a114] (rev f1) 00:1f.0 ISA bridge [0601]: Intel Corporation Sunrise Point-H LPC Controller [8086:a14e] (rev 31) 00:1f.2 Memory controller [0580]: Intel Corporation Sunrise Point-H PMC [8086:a121] (rev 31) 00:1f.3 Multimedia audio controller [0401]: Intel Corporation Sunrise Point-H HD Audio [8086:a170] (rev 31) 00:1f.4 SMBus [0c05]: Intel Corporation Sunrise Point-H SMBus [8086:a123] (rev 31) 01:00.0 3D controller [0302]: NVIDIA Corporation GM107M [GeForce GTX 960M] [10de:139b] (rev ff) 07:00.0 Network controller [0280]: Qualcomm Atheros QCA6174 802.11ac Wireless Network Adapter [168c:003e] (rev 32) 08:00.0 Ethernet controller [0200]: Realtek Semiconductor Co., Ltd. RTL8111/8168/8411 PCI Express Gigabit Ethernet Controller [10ec:8168] (rev 15) What I have tried: I've tried the patch from bug 1383184, which has a fix for the card revision 20: Make the directory /lib/firmware/ath10k/QCA6174/hw3.0/ And put in the patch files: board.bin firmware-4.bin notice_ath10k_firmware-4.txt ath10k_pci succeeds in loading the firmware, but it seems that the firmware is not working correctly: dmesg | grep ath [ 5.452683] ath10k_pci 0000:07:00.0: pci irq msi-x interrupts 8 irq_mode 0 reset_mode 0 [ 5.678420] ath10k_pci 0000:07:00.0: Direct firmware load for ath10k/cal-pci-0000:07:00.0.bin failed with error -2 [ 5.678773] ath10k_pci 0000:07:00.0: Direct firmware load for ath10k/QCA6174/hw3.0/board-pci-168c:003e:11ad:0807.bin failed with error -2 [ 5.678781] ath10k_pci 0000:07:00.0: failed to load spec board file, falling back to generic: -2 [ 5.679445] ath10k_pci 0000:07:00.0: Direct firmware load for ath10k/QCA6174/hw3.0/firmware-5.bin failed with error -2 [ 5.679453] ath10k_pci 0000:07:00.0: could not fetch firmware file 'ath10k/QCA6174/hw3.0/firmware-5.bin': -2 [ 7.802316] ath10k_pci 0000:07:00.0: qca6174 hw3.2 (0x05030000, 0x00340aff, 168c:003e:11ad:0807 fallback) fw WLAN.RM.2.0-00180-QCARMSWPZ-1 api 4 htt 3.26 wmi 4 cal otp max_sta 32 [ 7.802329] ath10k_pci 0000:07:00.0: debug 0 debugfs 1 tracing 1 dfs 0 testmode 0 [ 8.200607] ath: EEPROM regdomain: 0x6c [ 8.200614] ath: EEPROM indicates we should expect a direct regpair map [ 8.200619] ath: Country alpha2 being used: 00 [ 8.200621] ath: Regpair used: 0x6c [ 8.216605] ath10k_pci 0000:07:00.0 wlp7s0: renamed from wlan0 [ 13.462029] ath10k_pci 0000:07:00.0: failed to enable dynamic BW: -11 [ 16.461416] ath10k_pci 0000:07:00.0: could not suspend target (-11) [ 24.760062] ath10k_pci 0000:07:00.0: failed to enable dynamic BW: -11 [ 27.759534] ath10k_pci 0000:07:00.0: could not suspend target (-11) [ 36.046205] ath10k_pci 0000:07:00.0: failed to set arp ac override parameter: -11 [ 39.045729] ath10k_pci 0000:07:00.0: could not suspend target (-11) [ 47.344304] ath10k_pci 0000:07:00.0: failed to enable dynamic BW: -11 [ 50.343794] ath10k_pci 0000:07:00.0: could not suspend target (-11) [ 58.630534] ath10k_pci 0000:07:00.0: failed to enable dynamic BW: -11 [ 61.629936] ath10k_pci 0000:07:00.0: could not suspend target (-11) [ 69.920624] ath10k_pci 0000:07:00.0: failed to enable dynamic BW: -11 [ 72.920132] ath10k_pci 0000:07:00.0: could not suspend target (-11) [ 81.206812] ath10k_pci 0000:07:00.0: failed to enable dynamic BW: -11 [ 84.206218] ath10k_pci 0000:07:00.0: could not suspend target (-11) ... Then it just constantly prints the last two messages on and on. I can weirdly enough see the card in iwconfig: wlp7s0 IEEE 802.11abgn ESSID:off/any Mode:Managed Access Point: Not-Associated Tx-Power=0 dBm Retry short limit:7 RTS thr:off Fragment thr:off Power Management:off And I can see the wireless-icon in the toolbar, but scanning for access points or trying to connect to one doesn't work. This is the furthest I've gotten. I suspect this card needs a new firmware in ath10k? I'm currently running the development branch of Ubuntu 16.04 as hardware acceleration support for this PC is currently only supported there. The same problem exists in this version too and I'm able to reproduce the issue. Hoping to get this fixed, as many other new laptops seem to include the same wireless card. /Dennis ============================================ Current system information: Description: Ubuntu Xenial Xerus (development branch) Release: 16.04 I have recently installed Ubuntu 15.10 (64-bit) alongside Windows 10 on an Acer Aspire VN7-792G-76ZH and discovered, that the Qualcomm wireless card doesn't work. The card has the device id 168c:003e as many other cards, for example the Qualcomm Atheros Killer (https://bugs.launchpad.net/ubuntu/+source/linux/+bug/1383184), but it has a newer revision number (32) and the suggested fixes work only partially and the wireless is unusable. The computer has just been released this summer and is Intel Skylake -based. My lspci: 00:00.0 Host bridge [0600]: Intel Corporation Sky Lake Host Bridge/DRAM Registers [8086:1910] (rev 07) 00:01.0 PCI bridge [0604]: Intel Corporation Sky Lake PCIe Controller (x16) [8086:1901] (rev 07) 00:02.0 VGA compatible controller [0300]: Intel Corporation Device [8086:191b] (rev 06) 00:14.0 USB controller [0c03]: Intel Corporation Sunrise Point-H USB 3.0 xHCI Controller [8086:a12f] (rev 31) 00:14.2 Signal processing controller [1180]: Intel Corporation Sunrise Point-H Thermal subsystem [8086:a131] (rev 31) 00:15.0 Signal processing controller [1180]: Intel Corporation Sunrise Point-H LPSS I2C Controller #0 [8086:a160] (rev 31) 00:15.1 Signal processing controller [1180]: Intel Corporation Sunrise Point-H LPSS I2C Controller #1 [8086:a161] (rev 31) 00:16.0 Communication controller [0780]: Intel Corporation Sunrise Point-H CSME HECI #1 [8086:a13a] (rev 31) 00:17.0 SATA controller [0106]: Intel Corporation Sunrise Point-H SATA Controller [AHCI mode] [8086:a103] (rev 31) 00:1c.0 PCI bridge [0604]: Intel Corporation Sunrise Point-H PCI Express Root Port #3 [8086:a112] (rev f1) 00:1c.3 PCI bridge [0604]: Intel Corporation Sunrise Point-H PCI Express Root Port #4 [8086:a113] (rev f1) 00:1c.4 PCI bridge [0604]: Intel Corporation Sunrise Point-H PCI Express Root Port #5 [8086:a114] (rev f1) 00:1f.0 ISA bridge [0601]: Intel Corporation Sunrise Point-H LPC Controller [8086:a14e] (rev 31) 00:1f.2 Memory controller [0580]: Intel Corporation Sunrise Point-H PMC [8086:a121] (rev 31) 00:1f.3 Multimedia audio controller [0401]: Intel Corporation Sunrise Point-H HD Audio [8086:a170] (rev 31) 00:1f.4 SMBus [0c05]: Intel Corporation Sunrise Point-H SMBus [8086:a123] (rev 31) 01:00.0 3D controller [0302]: NVIDIA Corporation GM107M [GeForce GTX 960M] [10de:139b] (rev ff) 07:00.0 Network controller [0280]: Qualcomm Atheros QCA6174 802.11ac Wireless Network Adapter [168c:003e] (rev 32) 08:00.0 Ethernet controller [0200]: Realtek Semiconductor Co., Ltd. RTL8111/8168/8411 PCI Express Gigabit Ethernet Controller [10ec:8168] (rev 15) What I have tried: I've tried the patch from bug 1383184, which has a fix for the card revision 20: Make the directory /lib/firmware/ath10k/QCA6174/hw3.0/ And put in the patch files: board.bin firmware-4.bin notice_ath10k_firmware-4.txt ath10k_pci succeeds in loading the firmware, but it seems that the firmware is not working correctly: dmesg | grep ath [ 5.452683] ath10k_pci 0000:07:00.0: pci irq msi-x interrupts 8 irq_mode 0 reset_mode 0 [ 5.678420] ath10k_pci 0000:07:00.0: Direct firmware load for ath10k/cal-pci-0000:07:00.0.bin failed with error -2 [ 5.678773] ath10k_pci 0000:07:00.0: Direct firmware load for ath10k/QCA6174/hw3.0/board-pci-168c:003e:11ad:0807.bin failed with error -2 [ 5.678781] ath10k_pci 0000:07:00.0: failed to load spec board file, falling back to generic: -2 [ 5.679445] ath10k_pci 0000:07:00.0: Direct firmware load for ath10k/QCA6174/hw3.0/firmware-5.bin failed with error -2 [ 5.679453] ath10k_pci 0000:07:00.0: could not fetch firmware file 'ath10k/QCA6174/hw3.0/firmware-5.bin': -2 [ 7.802316] ath10k_pci 0000:07:00.0: qca6174 hw3.2 (0x05030000, 0x00340aff, 168c:003e:11ad:0807 fallback) fw WLAN.RM.2.0-00180-QCARMSWPZ-1 api 4 htt 3.26 wmi 4 cal otp max_sta 32 [ 7.802329] ath10k_pci 0000:07:00.0: debug 0 debugfs 1 tracing 1 dfs 0 testmode 0 [ 8.200607] ath: EEPROM regdomain: 0x6c [ 8.200614] ath: EEPROM indicates we should expect a direct regpair map [ 8.200619] ath: Country alpha2 being used: 00 [ 8.200621] ath: Regpair used: 0x6c [ 8.216605] ath10k_pci 0000:07:00.0 wlp7s0: renamed from wlan0 [ 13.462029] ath10k_pci 0000:07:00.0: failed to enable dynamic BW: -11 [ 16.461416] ath10k_pci 0000:07:00.0: could not suspend target (-11) [ 24.760062] ath10k_pci 0000:07:00.0: failed to enable dynamic BW: -11 [ 27.759534] ath10k_pci 0000:07:00.0: could not suspend target (-11) [ 36.046205] ath10k_pci 0000:07:00.0: failed to set arp ac override parameter: -11 [ 39.045729] ath10k_pci 0000:07:00.0: could not suspend target (-11) [ 47.344304] ath10k_pci 0000:07:00.0: failed to enable dynamic BW: -11 [ 50.343794] ath10k_pci 0000:07:00.0: could not suspend target (-11) [ 58.630534] ath10k_pci 0000:07:00.0: failed to enable dynamic BW: -11 [ 61.629936] ath10k_pci 0000:07:00.0: could not suspend target (-11) [ 69.920624] ath10k_pci 0000:07:00.0: failed to enable dynamic BW: -11 [ 72.920132] ath10k_pci 0000:07:00.0: could not suspend target (-11) [ 81.206812] ath10k_pci 0000:07:00.0: failed to enable dynamic BW: -11 [ 84.206218] ath10k_pci 0000:07:00.0: could not suspend target (-11) ... Then it just constantly prints the last two messages on and on. I can weirdly enough see the card in iwconfig: wlp7s0 IEEE 802.11abgn ESSID:off/any Mode:Managed Access Point: Not-Associated Tx-Power=0 dBm Retry short limit:7 RTS thr:off Fragment thr:off Power Management:off And I can see the wireless-icon in the toolbar, but scanning for access points or trying to connect to one doesn't work. This is the furthest I've gotten. I suspect this card needs a new firmware in ath10k? I'm currently running the development branch of Ubuntu 16.04 as hardware acceleration support for this PC is currently only supported there. The same problem exists in this version too and I'm able to reproduce the issue. Hoping to get this fixed, as many other new laptops seem to include the same wireless card. /Dennis ============================================ Current system information: Description: Ubuntu Xenial Xerus (development branch) Release: 16.04 --- ApportVersion: 2.19.2-0ubuntu6 Architecture: amd64 AudioDevicesInUse: USER PID ACCESS COMMAND /dev/snd/controlC0: dennis 1230 F.... pulseaudio CurrentDesktop: GNOME DistroRelease: Ubuntu 16.04 HibernationDevice: RESUME=UUID=bed7757a-3749-4efb-9e9f-0ce8129bfbb9 InstallationDate: Installed on 2015-11-11 (15 days ago) InstallationMedia: Ubuntu-GNOME 16.04 LTS "Xenial Xerus" - Alpha amd64 (20151110) Lsusb: Bus 002 Device 001: ID 1d6b:0003 Linux Foundation 3.0 root hub Bus 001 Device 003: ID 04f2:b520 Chicony Electronics Co., Ltd Bus 001 Device 002: ID 04ca:3016 Lite-On Technology Corp. Bus 001 Device 004: ID 0bda:0129 Realtek Semiconductor Corp. RTS5129 Card Reader Controller Bus 001 Device 001: ID 1d6b:0002 Linux Foundation 2.0 root hub MachineType: Acer Aspire VN7-792G Package: linux (not installed) ProcFB: 0 inteldrmfb ProcKernelCmdLine: BOOT_IMAGE=/boot/vmlinuz-4.2.0-19-generic.efi.signed root=UUID=bdadfbdf-2233-46de-b804-c88712e6c518 ro ipv6.disable=1 i915.preliminary_hw_support=1 ProcVersionSignature: Ubuntu 4.2.0-19.23-generic 4.2.6 RelatedPackageVersions: linux-restricted-modules-4.2.0-19-generic N/A linux-backports-modules-4.2.0-19-generic N/A linux-firmware 1.153 Tags: xenial UdevLog: Error: [Errno 2] No such file or directory: '/var/log/udev' Uname: Linux 4.2.0-19-generic x86_64 UpgradeStatus: No upgrade log present (probably fresh install) UserGroups: adm bumblebee cdrom dip lpadmin plugdev sambashare sudo _MarkForUpload: True dmi.bios.date: 09/25/2015 dmi.bios.vendor: Insyde Corp. dmi.bios.version: V1.02 dmi.board.asset.tag: No Asset Tag dmi.board.name: Aspire VN7-792G dmi.board.vendor: Acer dmi.board.version: V1.02 dmi.chassis.asset.tag: No Asset Tag dmi.chassis.type: 10 dmi.chassis.vendor: Acer dmi.chassis.version: V1.02 dmi.modalias: dmi:bvnInsydeCorp.:bvrV1.02:bd09/25/2015:svnAcer:pnAspireVN7-792G:pvrV1.02:rvnAcer:rnAspireVN7-792G:rvrV1.02:cvnAcer:ct10:cvrV1.02: dmi.product.name: Aspire VN7-792G dmi.product.version: V1.02 dmi.sys.vendor: Acer
2015-11-26 21:29:05 Dennis Marttinen attachment added AlsaInfo.txt https://bugs.launchpad.net/bugs/1520343/+attachment/4526079/+files/AlsaInfo.txt
2015-11-26 21:29:06 Dennis Marttinen attachment added CRDA.txt https://bugs.launchpad.net/bugs/1520343/+attachment/4526080/+files/CRDA.txt
2015-11-26 21:29:07 Dennis Marttinen attachment added CurrentDmesg.txt https://bugs.launchpad.net/bugs/1520343/+attachment/4526081/+files/CurrentDmesg.txt
2015-11-26 21:29:08 Dennis Marttinen attachment added IwConfig.txt https://bugs.launchpad.net/bugs/1520343/+attachment/4526082/+files/IwConfig.txt
2015-11-26 21:29:10 Dennis Marttinen attachment added JournalErrors.txt https://bugs.launchpad.net/bugs/1520343/+attachment/4526083/+files/JournalErrors.txt
2015-11-26 21:29:11 Dennis Marttinen attachment added Lspci.txt https://bugs.launchpad.net/bugs/1520343/+attachment/4526084/+files/Lspci.txt
2015-11-26 21:29:12 Dennis Marttinen attachment added ProcCpuinfo.txt https://bugs.launchpad.net/bugs/1520343/+attachment/4526085/+files/ProcCpuinfo.txt
2015-11-26 21:29:13 Dennis Marttinen attachment added ProcEnviron.txt https://bugs.launchpad.net/bugs/1520343/+attachment/4526086/+files/ProcEnviron.txt
2015-11-26 21:29:29 Dennis Marttinen attachment added ProcInterrupts.txt https://bugs.launchpad.net/bugs/1520343/+attachment/4526087/+files/ProcInterrupts.txt
2015-11-26 21:29:30 Dennis Marttinen attachment added ProcModules.txt https://bugs.launchpad.net/bugs/1520343/+attachment/4526088/+files/ProcModules.txt
2015-11-26 21:29:32 Dennis Marttinen attachment added PulseList.txt https://bugs.launchpad.net/bugs/1520343/+attachment/4526089/+files/PulseList.txt
2015-11-26 21:29:33 Dennis Marttinen attachment added RfKill.txt https://bugs.launchpad.net/bugs/1520343/+attachment/4526090/+files/RfKill.txt
2015-11-26 21:29:34 Dennis Marttinen attachment added UdevDb.txt https://bugs.launchpad.net/bugs/1520343/+attachment/4526091/+files/UdevDb.txt
2015-11-26 21:29:36 Dennis Marttinen attachment added WifiSyslog.txt https://bugs.launchpad.net/bugs/1520343/+attachment/4526092/+files/WifiSyslog.txt
2015-11-26 21:31:02 Dennis Marttinen linux (Ubuntu): status Incomplete Confirmed
2015-11-27 09:10:31 Oliver bug added subscriber Oliver
2015-11-29 08:46:59 Db-d bug added subscriber Db-d
2015-11-30 20:09:45 Dennis Marttinen linux (Ubuntu): status Confirmed Fix Committed
2015-11-30 20:12:46 Dennis Marttinen linux (Ubuntu): status Fix Committed Fix Released
2015-11-30 20:12:59 Dennis Marttinen linux (Ubuntu): status Fix Released In Progress
2015-11-30 20:13:27 Dennis Marttinen linux (Ubuntu): status In Progress Fix Committed
2015-11-30 20:14:36 Dennis Marttinen linux (Ubuntu): status Fix Committed In Progress
2015-11-30 20:48:54 Joseph Salisbury linux (Ubuntu): importance Undecided Medium
2015-12-01 03:45:56 Steven Thibault bug added subscriber Steven Thibault
2015-12-03 19:17:16 Dennis Marttinen tags apport-collected bot-comment xenial apport-collected bot-comment wily xenial
2015-12-03 19:32:38 Dennis Marttinen tags apport-collected bot-comment wily xenial apport-collected bot-comment vivid wily xenial
2015-12-05 12:59:29 dan bug added subscriber dan
2015-12-05 17:10:13 dan linux (Ubuntu): status In Progress Confirmed
2015-12-06 16:51:06 Christopher M. Penalver description I have recently installed Ubuntu 15.10 (64-bit) alongside Windows 10 on an Acer Aspire VN7-792G-76ZH and discovered, that the Qualcomm wireless card doesn't work. The card has the device id 168c:003e as many other cards, for example the Qualcomm Atheros Killer (https://bugs.launchpad.net/ubuntu/+source/linux/+bug/1383184), but it has a newer revision number (32) and the suggested fixes work only partially and the wireless is unusable. The computer has just been released this summer and is Intel Skylake -based. My lspci: 00:00.0 Host bridge [0600]: Intel Corporation Sky Lake Host Bridge/DRAM Registers [8086:1910] (rev 07) 00:01.0 PCI bridge [0604]: Intel Corporation Sky Lake PCIe Controller (x16) [8086:1901] (rev 07) 00:02.0 VGA compatible controller [0300]: Intel Corporation Device [8086:191b] (rev 06) 00:14.0 USB controller [0c03]: Intel Corporation Sunrise Point-H USB 3.0 xHCI Controller [8086:a12f] (rev 31) 00:14.2 Signal processing controller [1180]: Intel Corporation Sunrise Point-H Thermal subsystem [8086:a131] (rev 31) 00:15.0 Signal processing controller [1180]: Intel Corporation Sunrise Point-H LPSS I2C Controller #0 [8086:a160] (rev 31) 00:15.1 Signal processing controller [1180]: Intel Corporation Sunrise Point-H LPSS I2C Controller #1 [8086:a161] (rev 31) 00:16.0 Communication controller [0780]: Intel Corporation Sunrise Point-H CSME HECI #1 [8086:a13a] (rev 31) 00:17.0 SATA controller [0106]: Intel Corporation Sunrise Point-H SATA Controller [AHCI mode] [8086:a103] (rev 31) 00:1c.0 PCI bridge [0604]: Intel Corporation Sunrise Point-H PCI Express Root Port #3 [8086:a112] (rev f1) 00:1c.3 PCI bridge [0604]: Intel Corporation Sunrise Point-H PCI Express Root Port #4 [8086:a113] (rev f1) 00:1c.4 PCI bridge [0604]: Intel Corporation Sunrise Point-H PCI Express Root Port #5 [8086:a114] (rev f1) 00:1f.0 ISA bridge [0601]: Intel Corporation Sunrise Point-H LPC Controller [8086:a14e] (rev 31) 00:1f.2 Memory controller [0580]: Intel Corporation Sunrise Point-H PMC [8086:a121] (rev 31) 00:1f.3 Multimedia audio controller [0401]: Intel Corporation Sunrise Point-H HD Audio [8086:a170] (rev 31) 00:1f.4 SMBus [0c05]: Intel Corporation Sunrise Point-H SMBus [8086:a123] (rev 31) 01:00.0 3D controller [0302]: NVIDIA Corporation GM107M [GeForce GTX 960M] [10de:139b] (rev ff) 07:00.0 Network controller [0280]: Qualcomm Atheros QCA6174 802.11ac Wireless Network Adapter [168c:003e] (rev 32) 08:00.0 Ethernet controller [0200]: Realtek Semiconductor Co., Ltd. RTL8111/8168/8411 PCI Express Gigabit Ethernet Controller [10ec:8168] (rev 15) What I have tried: I've tried the patch from bug 1383184, which has a fix for the card revision 20: Make the directory /lib/firmware/ath10k/QCA6174/hw3.0/ And put in the patch files: board.bin firmware-4.bin notice_ath10k_firmware-4.txt ath10k_pci succeeds in loading the firmware, but it seems that the firmware is not working correctly: dmesg | grep ath [ 5.452683] ath10k_pci 0000:07:00.0: pci irq msi-x interrupts 8 irq_mode 0 reset_mode 0 [ 5.678420] ath10k_pci 0000:07:00.0: Direct firmware load for ath10k/cal-pci-0000:07:00.0.bin failed with error -2 [ 5.678773] ath10k_pci 0000:07:00.0: Direct firmware load for ath10k/QCA6174/hw3.0/board-pci-168c:003e:11ad:0807.bin failed with error -2 [ 5.678781] ath10k_pci 0000:07:00.0: failed to load spec board file, falling back to generic: -2 [ 5.679445] ath10k_pci 0000:07:00.0: Direct firmware load for ath10k/QCA6174/hw3.0/firmware-5.bin failed with error -2 [ 5.679453] ath10k_pci 0000:07:00.0: could not fetch firmware file 'ath10k/QCA6174/hw3.0/firmware-5.bin': -2 [ 7.802316] ath10k_pci 0000:07:00.0: qca6174 hw3.2 (0x05030000, 0x00340aff, 168c:003e:11ad:0807 fallback) fw WLAN.RM.2.0-00180-QCARMSWPZ-1 api 4 htt 3.26 wmi 4 cal otp max_sta 32 [ 7.802329] ath10k_pci 0000:07:00.0: debug 0 debugfs 1 tracing 1 dfs 0 testmode 0 [ 8.200607] ath: EEPROM regdomain: 0x6c [ 8.200614] ath: EEPROM indicates we should expect a direct regpair map [ 8.200619] ath: Country alpha2 being used: 00 [ 8.200621] ath: Regpair used: 0x6c [ 8.216605] ath10k_pci 0000:07:00.0 wlp7s0: renamed from wlan0 [ 13.462029] ath10k_pci 0000:07:00.0: failed to enable dynamic BW: -11 [ 16.461416] ath10k_pci 0000:07:00.0: could not suspend target (-11) [ 24.760062] ath10k_pci 0000:07:00.0: failed to enable dynamic BW: -11 [ 27.759534] ath10k_pci 0000:07:00.0: could not suspend target (-11) [ 36.046205] ath10k_pci 0000:07:00.0: failed to set arp ac override parameter: -11 [ 39.045729] ath10k_pci 0000:07:00.0: could not suspend target (-11) [ 47.344304] ath10k_pci 0000:07:00.0: failed to enable dynamic BW: -11 [ 50.343794] ath10k_pci 0000:07:00.0: could not suspend target (-11) [ 58.630534] ath10k_pci 0000:07:00.0: failed to enable dynamic BW: -11 [ 61.629936] ath10k_pci 0000:07:00.0: could not suspend target (-11) [ 69.920624] ath10k_pci 0000:07:00.0: failed to enable dynamic BW: -11 [ 72.920132] ath10k_pci 0000:07:00.0: could not suspend target (-11) [ 81.206812] ath10k_pci 0000:07:00.0: failed to enable dynamic BW: -11 [ 84.206218] ath10k_pci 0000:07:00.0: could not suspend target (-11) ... Then it just constantly prints the last two messages on and on. I can weirdly enough see the card in iwconfig: wlp7s0 IEEE 802.11abgn ESSID:off/any Mode:Managed Access Point: Not-Associated Tx-Power=0 dBm Retry short limit:7 RTS thr:off Fragment thr:off Power Management:off And I can see the wireless-icon in the toolbar, but scanning for access points or trying to connect to one doesn't work. This is the furthest I've gotten. I suspect this card needs a new firmware in ath10k? I'm currently running the development branch of Ubuntu 16.04 as hardware acceleration support for this PC is currently only supported there. The same problem exists in this version too and I'm able to reproduce the issue. Hoping to get this fixed, as many other new laptops seem to include the same wireless card. /Dennis ============================================ Current system information: Description: Ubuntu Xenial Xerus (development branch) Release: 16.04 --- ApportVersion: 2.19.2-0ubuntu6 Architecture: amd64 AudioDevicesInUse: USER PID ACCESS COMMAND /dev/snd/controlC0: dennis 1230 F.... pulseaudio CurrentDesktop: GNOME DistroRelease: Ubuntu 16.04 HibernationDevice: RESUME=UUID=bed7757a-3749-4efb-9e9f-0ce8129bfbb9 InstallationDate: Installed on 2015-11-11 (15 days ago) InstallationMedia: Ubuntu-GNOME 16.04 LTS "Xenial Xerus" - Alpha amd64 (20151110) Lsusb: Bus 002 Device 001: ID 1d6b:0003 Linux Foundation 3.0 root hub Bus 001 Device 003: ID 04f2:b520 Chicony Electronics Co., Ltd Bus 001 Device 002: ID 04ca:3016 Lite-On Technology Corp. Bus 001 Device 004: ID 0bda:0129 Realtek Semiconductor Corp. RTS5129 Card Reader Controller Bus 001 Device 001: ID 1d6b:0002 Linux Foundation 2.0 root hub MachineType: Acer Aspire VN7-792G Package: linux (not installed) ProcFB: 0 inteldrmfb ProcKernelCmdLine: BOOT_IMAGE=/boot/vmlinuz-4.2.0-19-generic.efi.signed root=UUID=bdadfbdf-2233-46de-b804-c88712e6c518 ro ipv6.disable=1 i915.preliminary_hw_support=1 ProcVersionSignature: Ubuntu 4.2.0-19.23-generic 4.2.6 RelatedPackageVersions: linux-restricted-modules-4.2.0-19-generic N/A linux-backports-modules-4.2.0-19-generic N/A linux-firmware 1.153 Tags: xenial UdevLog: Error: [Errno 2] No such file or directory: '/var/log/udev' Uname: Linux 4.2.0-19-generic x86_64 UpgradeStatus: No upgrade log present (probably fresh install) UserGroups: adm bumblebee cdrom dip lpadmin plugdev sambashare sudo _MarkForUpload: True dmi.bios.date: 09/25/2015 dmi.bios.vendor: Insyde Corp. dmi.bios.version: V1.02 dmi.board.asset.tag: No Asset Tag dmi.board.name: Aspire VN7-792G dmi.board.vendor: Acer dmi.board.version: V1.02 dmi.chassis.asset.tag: No Asset Tag dmi.chassis.type: 10 dmi.chassis.vendor: Acer dmi.chassis.version: V1.02 dmi.modalias: dmi:bvnInsydeCorp.:bvrV1.02:bd09/25/2015:svnAcer:pnAspireVN7-792G:pvrV1.02:rvnAcer:rnAspireVN7-792G:rvrV1.02:cvnAcer:ct10:cvrV1.02: dmi.product.name: Aspire VN7-792G dmi.product.version: V1.02 dmi.sys.vendor: Acer I have recently installed Ubuntu 15.10 (64-bit) alongside Windows 10 on an Acer Aspire VN7-792G-76ZH and discovered, that the Qualcomm wireless card doesn't work in it or 16.04. The card has the device id 168c:003e as many other cards, for example the Qualcomm Atheros Killer (https://bugs.launchpad.net/ubuntu/+source/linux/+bug/1383184), but it has a newer revision number (32) and the suggested fixes work only partially and the wireless is unusable. The computer has just been released this summer and is Intel Skylake -based. I've tried the patch from bug 1383184, which has a fix for the card revision 20: Make the directory /lib/firmware/ath10k/QCA6174/hw3.0/ and put in the patch files: board.bin firmware-4.bin notice_ath10k_firmware-4.txt ath10k_pci succeeds in loading the firmware, but it seems that the firmware is not working correctly: dmesg | grep ath [ 5.452683] ath10k_pci 0000:07:00.0: pci irq msi-x interrupts 8 irq_mode 0 reset_mode 0 [ 5.678420] ath10k_pci 0000:07:00.0: Direct firmware load for ath10k/cal-pci-0000:07:00.0.bin failed with error -2 [ 5.678773] ath10k_pci 0000:07:00.0: Direct firmware load for ath10k/QCA6174/hw3.0/board-pci-168c:003e:11ad:0807.bin failed with error -2 [ 5.678781] ath10k_pci 0000:07:00.0: failed to load spec board file, falling back to generic: -2 [ 5.679445] ath10k_pci 0000:07:00.0: Direct firmware load for ath10k/QCA6174/hw3.0/firmware-5.bin failed with error -2 [ 5.679453] ath10k_pci 0000:07:00.0: could not fetch firmware file 'ath10k/QCA6174/hw3.0/firmware-5.bin': -2 [ 7.802316] ath10k_pci 0000:07:00.0: qca6174 hw3.2 (0x05030000, 0x00340aff, 168c:003e:11ad:0807 fallback) fw WLAN.RM.2.0-00180-QCARMSWPZ-1 api 4 htt 3.26 wmi 4 cal otp max_sta 32 [ 7.802329] ath10k_pci 0000:07:00.0: debug 0 debugfs 1 tracing 1 dfs 0 testmode 0 [ 8.200607] ath: EEPROM regdomain: 0x6c [ 8.200614] ath: EEPROM indicates we should expect a direct regpair map [ 8.200619] ath: Country alpha2 being used: 00 [ 8.200621] ath: Regpair used: 0x6c [ 8.216605] ath10k_pci 0000:07:00.0 wlp7s0: renamed from wlan0 [ 13.462029] ath10k_pci 0000:07:00.0: failed to enable dynamic BW: -11 [ 16.461416] ath10k_pci 0000:07:00.0: could not suspend target (-11) [ 24.760062] ath10k_pci 0000:07:00.0: failed to enable dynamic BW: -11 [ 27.759534] ath10k_pci 0000:07:00.0: could not suspend target (-11) [ 36.046205] ath10k_pci 0000:07:00.0: failed to set arp ac override parameter: -11 [ 39.045729] ath10k_pci 0000:07:00.0: could not suspend target (-11) [ 47.344304] ath10k_pci 0000:07:00.0: failed to enable dynamic BW: -11 [ 50.343794] ath10k_pci 0000:07:00.0: could not suspend target (-11) [ 58.630534] ath10k_pci 0000:07:00.0: failed to enable dynamic BW: -11 [ 61.629936] ath10k_pci 0000:07:00.0: could not suspend target (-11) [ 69.920624] ath10k_pci 0000:07:00.0: failed to enable dynamic BW: -11 [ 72.920132] ath10k_pci 0000:07:00.0: could not suspend target (-11) [ 81.206812] ath10k_pci 0000:07:00.0: failed to enable dynamic BW: -11 [ 84.206218] ath10k_pci 0000:07:00.0: could not suspend target (-11) ... Then it just constantly prints the last two messages on and on. I can weirdly enough see the card in iwconfig: wlp7s0 IEEE 802.11abgn ESSID:off/any           Mode:Managed Access Point: Not-Associated Tx-Power=0 dBm           Retry short limit:7 RTS thr:off Fragment thr:off           Power Management:off And I can see the wireless-icon in the toolbar, but scanning for access points or trying to connect to one doesn't work. This is the furthest I've gotten. I suspect this card needs a new firmware in ath10k? --- ApportVersion: 2.19.2-0ubuntu6 Architecture: amd64 AudioDevicesInUse:  USER PID ACCESS COMMAND  /dev/snd/controlC0: dennis 1230 F.... pulseaudio CurrentDesktop: GNOME DistroRelease: Ubuntu 16.04 HibernationDevice: RESUME=UUID=bed7757a-3749-4efb-9e9f-0ce8129bfbb9 InstallationDate: Installed on 2015-11-11 (15 days ago) InstallationMedia: Ubuntu-GNOME 16.04 LTS "Xenial Xerus" - Alpha amd64 (20151110) Lsusb:  Bus 002 Device 001: ID 1d6b:0003 Linux Foundation 3.0 root hub  Bus 001 Device 003: ID 04f2:b520 Chicony Electronics Co., Ltd  Bus 001 Device 002: ID 04ca:3016 Lite-On Technology Corp.  Bus 001 Device 004: ID 0bda:0129 Realtek Semiconductor Corp. RTS5129 Card Reader Controller  Bus 001 Device 001: ID 1d6b:0002 Linux Foundation 2.0 root hub MachineType: Acer Aspire VN7-792G Package: linux (not installed) ProcFB: 0 inteldrmfb ProcKernelCmdLine: BOOT_IMAGE=/boot/vmlinuz-4.2.0-19-generic.efi.signed root=UUID=bdadfbdf-2233-46de-b804-c88712e6c518 ro ipv6.disable=1 i915.preliminary_hw_support=1 ProcVersionSignature: Ubuntu 4.2.0-19.23-generic 4.2.6 RelatedPackageVersions:  linux-restricted-modules-4.2.0-19-generic N/A  linux-backports-modules-4.2.0-19-generic N/A  linux-firmware 1.153 Tags: xenial UdevLog: Error: [Errno 2] No such file or directory: '/var/log/udev' Uname: Linux 4.2.0-19-generic x86_64 UpgradeStatus: No upgrade log present (probably fresh install) UserGroups: adm bumblebee cdrom dip lpadmin plugdev sambashare sudo _MarkForUpload: True dmi.bios.date: 09/25/2015 dmi.bios.vendor: Insyde Corp. dmi.bios.version: V1.02 dmi.board.asset.tag: No Asset Tag dmi.board.name: Aspire VN7-792G dmi.board.vendor: Acer dmi.board.version: V1.02 dmi.chassis.asset.tag: No Asset Tag dmi.chassis.type: 10 dmi.chassis.vendor: Acer dmi.chassis.version: V1.02 dmi.modalias: dmi:bvnInsydeCorp.:bvrV1.02:bd09/25/2015:svnAcer:pnAspireVN7-792G:pvrV1.02:rvnAcer:rnAspireVN7-792G:rvrV1.02:cvnAcer:ct10:cvrV1.02: dmi.product.name: Aspire VN7-792G dmi.product.version: V1.02 dmi.sys.vendor: Acer
2015-12-06 16:51:57 Christopher M. Penalver tags apport-collected bot-comment vivid wily xenial apport-collected bot-comment latest-bios-1.02 vivid wily xenial
2015-12-21 21:17:33 Keng-Yu Lin marked as duplicate 1383184
2015-12-22 13:46:01 Dennis Marttinen removed duplicate marker 1383184
2015-12-22 13:58:06 Dennis Marttinen description I have recently installed Ubuntu 15.10 (64-bit) alongside Windows 10 on an Acer Aspire VN7-792G-76ZH and discovered, that the Qualcomm wireless card doesn't work in it or 16.04. The card has the device id 168c:003e as many other cards, for example the Qualcomm Atheros Killer (https://bugs.launchpad.net/ubuntu/+source/linux/+bug/1383184), but it has a newer revision number (32) and the suggested fixes work only partially and the wireless is unusable. The computer has just been released this summer and is Intel Skylake -based. I've tried the patch from bug 1383184, which has a fix for the card revision 20: Make the directory /lib/firmware/ath10k/QCA6174/hw3.0/ and put in the patch files: board.bin firmware-4.bin notice_ath10k_firmware-4.txt ath10k_pci succeeds in loading the firmware, but it seems that the firmware is not working correctly: dmesg | grep ath [ 5.452683] ath10k_pci 0000:07:00.0: pci irq msi-x interrupts 8 irq_mode 0 reset_mode 0 [ 5.678420] ath10k_pci 0000:07:00.0: Direct firmware load for ath10k/cal-pci-0000:07:00.0.bin failed with error -2 [ 5.678773] ath10k_pci 0000:07:00.0: Direct firmware load for ath10k/QCA6174/hw3.0/board-pci-168c:003e:11ad:0807.bin failed with error -2 [ 5.678781] ath10k_pci 0000:07:00.0: failed to load spec board file, falling back to generic: -2 [ 5.679445] ath10k_pci 0000:07:00.0: Direct firmware load for ath10k/QCA6174/hw3.0/firmware-5.bin failed with error -2 [ 5.679453] ath10k_pci 0000:07:00.0: could not fetch firmware file 'ath10k/QCA6174/hw3.0/firmware-5.bin': -2 [ 7.802316] ath10k_pci 0000:07:00.0: qca6174 hw3.2 (0x05030000, 0x00340aff, 168c:003e:11ad:0807 fallback) fw WLAN.RM.2.0-00180-QCARMSWPZ-1 api 4 htt 3.26 wmi 4 cal otp max_sta 32 [ 7.802329] ath10k_pci 0000:07:00.0: debug 0 debugfs 1 tracing 1 dfs 0 testmode 0 [ 8.200607] ath: EEPROM regdomain: 0x6c [ 8.200614] ath: EEPROM indicates we should expect a direct regpair map [ 8.200619] ath: Country alpha2 being used: 00 [ 8.200621] ath: Regpair used: 0x6c [ 8.216605] ath10k_pci 0000:07:00.0 wlp7s0: renamed from wlan0 [ 13.462029] ath10k_pci 0000:07:00.0: failed to enable dynamic BW: -11 [ 16.461416] ath10k_pci 0000:07:00.0: could not suspend target (-11) [ 24.760062] ath10k_pci 0000:07:00.0: failed to enable dynamic BW: -11 [ 27.759534] ath10k_pci 0000:07:00.0: could not suspend target (-11) [ 36.046205] ath10k_pci 0000:07:00.0: failed to set arp ac override parameter: -11 [ 39.045729] ath10k_pci 0000:07:00.0: could not suspend target (-11) [ 47.344304] ath10k_pci 0000:07:00.0: failed to enable dynamic BW: -11 [ 50.343794] ath10k_pci 0000:07:00.0: could not suspend target (-11) [ 58.630534] ath10k_pci 0000:07:00.0: failed to enable dynamic BW: -11 [ 61.629936] ath10k_pci 0000:07:00.0: could not suspend target (-11) [ 69.920624] ath10k_pci 0000:07:00.0: failed to enable dynamic BW: -11 [ 72.920132] ath10k_pci 0000:07:00.0: could not suspend target (-11) [ 81.206812] ath10k_pci 0000:07:00.0: failed to enable dynamic BW: -11 [ 84.206218] ath10k_pci 0000:07:00.0: could not suspend target (-11) ... Then it just constantly prints the last two messages on and on. I can weirdly enough see the card in iwconfig: wlp7s0 IEEE 802.11abgn ESSID:off/any           Mode:Managed Access Point: Not-Associated Tx-Power=0 dBm           Retry short limit:7 RTS thr:off Fragment thr:off           Power Management:off And I can see the wireless-icon in the toolbar, but scanning for access points or trying to connect to one doesn't work. This is the furthest I've gotten. I suspect this card needs a new firmware in ath10k? --- ApportVersion: 2.19.2-0ubuntu6 Architecture: amd64 AudioDevicesInUse:  USER PID ACCESS COMMAND  /dev/snd/controlC0: dennis 1230 F.... pulseaudio CurrentDesktop: GNOME DistroRelease: Ubuntu 16.04 HibernationDevice: RESUME=UUID=bed7757a-3749-4efb-9e9f-0ce8129bfbb9 InstallationDate: Installed on 2015-11-11 (15 days ago) InstallationMedia: Ubuntu-GNOME 16.04 LTS "Xenial Xerus" - Alpha amd64 (20151110) Lsusb:  Bus 002 Device 001: ID 1d6b:0003 Linux Foundation 3.0 root hub  Bus 001 Device 003: ID 04f2:b520 Chicony Electronics Co., Ltd  Bus 001 Device 002: ID 04ca:3016 Lite-On Technology Corp.  Bus 001 Device 004: ID 0bda:0129 Realtek Semiconductor Corp. RTS5129 Card Reader Controller  Bus 001 Device 001: ID 1d6b:0002 Linux Foundation 2.0 root hub MachineType: Acer Aspire VN7-792G Package: linux (not installed) ProcFB: 0 inteldrmfb ProcKernelCmdLine: BOOT_IMAGE=/boot/vmlinuz-4.2.0-19-generic.efi.signed root=UUID=bdadfbdf-2233-46de-b804-c88712e6c518 ro ipv6.disable=1 i915.preliminary_hw_support=1 ProcVersionSignature: Ubuntu 4.2.0-19.23-generic 4.2.6 RelatedPackageVersions:  linux-restricted-modules-4.2.0-19-generic N/A  linux-backports-modules-4.2.0-19-generic N/A  linux-firmware 1.153 Tags: xenial UdevLog: Error: [Errno 2] No such file or directory: '/var/log/udev' Uname: Linux 4.2.0-19-generic x86_64 UpgradeStatus: No upgrade log present (probably fresh install) UserGroups: adm bumblebee cdrom dip lpadmin plugdev sambashare sudo _MarkForUpload: True dmi.bios.date: 09/25/2015 dmi.bios.vendor: Insyde Corp. dmi.bios.version: V1.02 dmi.board.asset.tag: No Asset Tag dmi.board.name: Aspire VN7-792G dmi.board.vendor: Acer dmi.board.version: V1.02 dmi.chassis.asset.tag: No Asset Tag dmi.chassis.type: 10 dmi.chassis.vendor: Acer dmi.chassis.version: V1.02 dmi.modalias: dmi:bvnInsydeCorp.:bvrV1.02:bd09/25/2015:svnAcer:pnAspireVN7-792G:pvrV1.02:rvnAcer:rnAspireVN7-792G:rvrV1.02:cvnAcer:ct10:cvrV1.02: dmi.product.name: Aspire VN7-792G dmi.product.version: V1.02 dmi.sys.vendor: Acer --------------------------------------------------------------- STATUS: Currently there is a fix for this problem in post #22 (originally post #19, but reposted due to command typos!) which seems to have fixed the issue for many. This bug is unique to revision 32 of the card [168c:003e], fixes for older revisions don't seem to work. There are a couple of issues regarding the fix for some people (not all): 1. Wireless works, but network throughput stops some time after connecting to access point 2. Bluetooth communications take a noticeable performance hit when transferring something over WiFi --------------------------------------------------------------- I have recently installed Ubuntu 15.10 (64-bit) alongside Windows 10 on an Acer Aspire VN7-792G-76ZH and discovered, that the Qualcomm wireless card doesn't work in it or 16.04. The card has the device id 168c:003e as many other cards, for example the Qualcomm Atheros Killer (https://bugs.launchpad.net/ubuntu/+source/linux/+bug/1383184), but it has a newer revision number (32) and the suggested fixes work only partially and the wireless is unusable. The computer has just been released this summer and is Intel Skylake -based. I've tried the patch from bug 1383184, which has a fix for the card revision 20: Make the directory /lib/firmware/ath10k/QCA6174/hw3.0/ and put in the patch files: board.bin firmware-4.bin notice_ath10k_firmware-4.txt ath10k_pci succeeds in loading the firmware, but it seems that the firmware is not working correctly: dmesg | grep ath [ 5.452683] ath10k_pci 0000:07:00.0: pci irq msi-x interrupts 8 irq_mode 0 reset_mode 0 [ 5.678420] ath10k_pci 0000:07:00.0: Direct firmware load for ath10k/cal-pci-0000:07:00.0.bin failed with error -2 [ 5.678773] ath10k_pci 0000:07:00.0: Direct firmware load for ath10k/QCA6174/hw3.0/board-pci-168c:003e:11ad:0807.bin failed with error -2 [ 5.678781] ath10k_pci 0000:07:00.0: failed to load spec board file, falling back to generic: -2 [ 5.679445] ath10k_pci 0000:07:00.0: Direct firmware load for ath10k/QCA6174/hw3.0/firmware-5.bin failed with error -2 [ 5.679453] ath10k_pci 0000:07:00.0: could not fetch firmware file 'ath10k/QCA6174/hw3.0/firmware-5.bin': -2 [ 7.802316] ath10k_pci 0000:07:00.0: qca6174 hw3.2 (0x05030000, 0x00340aff, 168c:003e:11ad:0807 fallback) fw WLAN.RM.2.0-00180-QCARMSWPZ-1 api 4 htt 3.26 wmi 4 cal otp max_sta 32 [ 7.802329] ath10k_pci 0000:07:00.0: debug 0 debugfs 1 tracing 1 dfs 0 testmode 0 [ 8.200607] ath: EEPROM regdomain: 0x6c [ 8.200614] ath: EEPROM indicates we should expect a direct regpair map [ 8.200619] ath: Country alpha2 being used: 00 [ 8.200621] ath: Regpair used: 0x6c [ 8.216605] ath10k_pci 0000:07:00.0 wlp7s0: renamed from wlan0 [ 13.462029] ath10k_pci 0000:07:00.0: failed to enable dynamic BW: -11 [ 16.461416] ath10k_pci 0000:07:00.0: could not suspend target (-11) [ 24.760062] ath10k_pci 0000:07:00.0: failed to enable dynamic BW: -11 [ 27.759534] ath10k_pci 0000:07:00.0: could not suspend target (-11) [ 36.046205] ath10k_pci 0000:07:00.0: failed to set arp ac override parameter: -11 [ 39.045729] ath10k_pci 0000:07:00.0: could not suspend target (-11) [ 47.344304] ath10k_pci 0000:07:00.0: failed to enable dynamic BW: -11 [ 50.343794] ath10k_pci 0000:07:00.0: could not suspend target (-11) [ 58.630534] ath10k_pci 0000:07:00.0: failed to enable dynamic BW: -11 [ 61.629936] ath10k_pci 0000:07:00.0: could not suspend target (-11) [ 69.920624] ath10k_pci 0000:07:00.0: failed to enable dynamic BW: -11 [ 72.920132] ath10k_pci 0000:07:00.0: could not suspend target (-11) [ 81.206812] ath10k_pci 0000:07:00.0: failed to enable dynamic BW: -11 [ 84.206218] ath10k_pci 0000:07:00.0: could not suspend target (-11) ... Then it just constantly prints the last two messages on and on. I can weirdly enough see the card in iwconfig: wlp7s0 IEEE 802.11abgn ESSID:off/any           Mode:Managed Access Point: Not-Associated Tx-Power=0 dBm           Retry short limit:7 RTS thr:off Fragment thr:off           Power Management:off And I can see the wireless-icon in the toolbar, but scanning for access points or trying to connect to one doesn't work. This is the furthest I've gotten. I suspect this card needs a new firmware in ath10k? --- ApportVersion: 2.19.2-0ubuntu6 Architecture: amd64 AudioDevicesInUse:  USER PID ACCESS COMMAND  /dev/snd/controlC0: dennis 1230 F.... pulseaudio CurrentDesktop: GNOME DistroRelease: Ubuntu 16.04 HibernationDevice: RESUME=UUID=bed7757a-3749-4efb-9e9f-0ce8129bfbb9 InstallationDate: Installed on 2015-11-11 (15 days ago) InstallationMedia: Ubuntu-GNOME 16.04 LTS "Xenial Xerus" - Alpha amd64 (20151110) Lsusb:  Bus 002 Device 001: ID 1d6b:0003 Linux Foundation 3.0 root hub  Bus 001 Device 003: ID 04f2:b520 Chicony Electronics Co., Ltd  Bus 001 Device 002: ID 04ca:3016 Lite-On Technology Corp.  Bus 001 Device 004: ID 0bda:0129 Realtek Semiconductor Corp. RTS5129 Card Reader Controller  Bus 001 Device 001: ID 1d6b:0002 Linux Foundation 2.0 root hub MachineType: Acer Aspire VN7-792G Package: linux (not installed) ProcFB: 0 inteldrmfb ProcKernelCmdLine: BOOT_IMAGE=/boot/vmlinuz-4.2.0-19-generic.efi.signed root=UUID=bdadfbdf-2233-46de-b804-c88712e6c518 ro ipv6.disable=1 i915.preliminary_hw_support=1 ProcVersionSignature: Ubuntu 4.2.0-19.23-generic 4.2.6 RelatedPackageVersions:  linux-restricted-modules-4.2.0-19-generic N/A  linux-backports-modules-4.2.0-19-generic N/A  linux-firmware 1.153 Tags: xenial UdevLog: Error: [Errno 2] No such file or directory: '/var/log/udev' Uname: Linux 4.2.0-19-generic x86_64 UpgradeStatus: No upgrade log present (probably fresh install) UserGroups: adm bumblebee cdrom dip lpadmin plugdev sambashare sudo _MarkForUpload: True dmi.bios.date: 09/25/2015 dmi.bios.vendor: Insyde Corp. dmi.bios.version: V1.02 dmi.board.asset.tag: No Asset Tag dmi.board.name: Aspire VN7-792G dmi.board.vendor: Acer dmi.board.version: V1.02 dmi.chassis.asset.tag: No Asset Tag dmi.chassis.type: 10 dmi.chassis.vendor: Acer dmi.chassis.version: V1.02 dmi.modalias: dmi:bvnInsydeCorp.:bvrV1.02:bd09/25/2015:svnAcer:pnAspireVN7-792G:pvrV1.02:rvnAcer:rnAspireVN7-792G:rvrV1.02:cvnAcer:ct10:cvrV1.02: dmi.product.name: Aspire VN7-792G dmi.product.version: V1.02 dmi.sys.vendor: Acer
2015-12-28 10:58:06 Niko Wenselowski bug added subscriber Niko Wenselowski
2016-01-13 21:46:36 Jonas bug added subscriber Jonas
2016-01-23 16:22:48 Queeq bug added subscriber Queeq
2016-02-19 03:40:11 Queeq attachment added Windows Program Files content after driver installation https://bugs.launchpad.net/ubuntu/+source/linux/+bug/1520343/+attachment/4575151/+files/Qualcomm%20Atheros.zip
2016-03-13 23:17:15 Christophe Chisogne bug watch added http://bugzilla.kernel.org/show_bug.cgi?id=108791
2016-03-17 19:20:23 Dennis Marttinen description --------------------------------------------------------------- STATUS: Currently there is a fix for this problem in post #22 (originally post #19, but reposted due to command typos!) which seems to have fixed the issue for many. This bug is unique to revision 32 of the card [168c:003e], fixes for older revisions don't seem to work. There are a couple of issues regarding the fix for some people (not all): 1. Wireless works, but network throughput stops some time after connecting to access point 2. Bluetooth communications take a noticeable performance hit when transferring something over WiFi --------------------------------------------------------------- I have recently installed Ubuntu 15.10 (64-bit) alongside Windows 10 on an Acer Aspire VN7-792G-76ZH and discovered, that the Qualcomm wireless card doesn't work in it or 16.04. The card has the device id 168c:003e as many other cards, for example the Qualcomm Atheros Killer (https://bugs.launchpad.net/ubuntu/+source/linux/+bug/1383184), but it has a newer revision number (32) and the suggested fixes work only partially and the wireless is unusable. The computer has just been released this summer and is Intel Skylake -based. I've tried the patch from bug 1383184, which has a fix for the card revision 20: Make the directory /lib/firmware/ath10k/QCA6174/hw3.0/ and put in the patch files: board.bin firmware-4.bin notice_ath10k_firmware-4.txt ath10k_pci succeeds in loading the firmware, but it seems that the firmware is not working correctly: dmesg | grep ath [ 5.452683] ath10k_pci 0000:07:00.0: pci irq msi-x interrupts 8 irq_mode 0 reset_mode 0 [ 5.678420] ath10k_pci 0000:07:00.0: Direct firmware load for ath10k/cal-pci-0000:07:00.0.bin failed with error -2 [ 5.678773] ath10k_pci 0000:07:00.0: Direct firmware load for ath10k/QCA6174/hw3.0/board-pci-168c:003e:11ad:0807.bin failed with error -2 [ 5.678781] ath10k_pci 0000:07:00.0: failed to load spec board file, falling back to generic: -2 [ 5.679445] ath10k_pci 0000:07:00.0: Direct firmware load for ath10k/QCA6174/hw3.0/firmware-5.bin failed with error -2 [ 5.679453] ath10k_pci 0000:07:00.0: could not fetch firmware file 'ath10k/QCA6174/hw3.0/firmware-5.bin': -2 [ 7.802316] ath10k_pci 0000:07:00.0: qca6174 hw3.2 (0x05030000, 0x00340aff, 168c:003e:11ad:0807 fallback) fw WLAN.RM.2.0-00180-QCARMSWPZ-1 api 4 htt 3.26 wmi 4 cal otp max_sta 32 [ 7.802329] ath10k_pci 0000:07:00.0: debug 0 debugfs 1 tracing 1 dfs 0 testmode 0 [ 8.200607] ath: EEPROM regdomain: 0x6c [ 8.200614] ath: EEPROM indicates we should expect a direct regpair map [ 8.200619] ath: Country alpha2 being used: 00 [ 8.200621] ath: Regpair used: 0x6c [ 8.216605] ath10k_pci 0000:07:00.0 wlp7s0: renamed from wlan0 [ 13.462029] ath10k_pci 0000:07:00.0: failed to enable dynamic BW: -11 [ 16.461416] ath10k_pci 0000:07:00.0: could not suspend target (-11) [ 24.760062] ath10k_pci 0000:07:00.0: failed to enable dynamic BW: -11 [ 27.759534] ath10k_pci 0000:07:00.0: could not suspend target (-11) [ 36.046205] ath10k_pci 0000:07:00.0: failed to set arp ac override parameter: -11 [ 39.045729] ath10k_pci 0000:07:00.0: could not suspend target (-11) [ 47.344304] ath10k_pci 0000:07:00.0: failed to enable dynamic BW: -11 [ 50.343794] ath10k_pci 0000:07:00.0: could not suspend target (-11) [ 58.630534] ath10k_pci 0000:07:00.0: failed to enable dynamic BW: -11 [ 61.629936] ath10k_pci 0000:07:00.0: could not suspend target (-11) [ 69.920624] ath10k_pci 0000:07:00.0: failed to enable dynamic BW: -11 [ 72.920132] ath10k_pci 0000:07:00.0: could not suspend target (-11) [ 81.206812] ath10k_pci 0000:07:00.0: failed to enable dynamic BW: -11 [ 84.206218] ath10k_pci 0000:07:00.0: could not suspend target (-11) ... Then it just constantly prints the last two messages on and on. I can weirdly enough see the card in iwconfig: wlp7s0 IEEE 802.11abgn ESSID:off/any           Mode:Managed Access Point: Not-Associated Tx-Power=0 dBm           Retry short limit:7 RTS thr:off Fragment thr:off           Power Management:off And I can see the wireless-icon in the toolbar, but scanning for access points or trying to connect to one doesn't work. This is the furthest I've gotten. I suspect this card needs a new firmware in ath10k? --- ApportVersion: 2.19.2-0ubuntu6 Architecture: amd64 AudioDevicesInUse:  USER PID ACCESS COMMAND  /dev/snd/controlC0: dennis 1230 F.... pulseaudio CurrentDesktop: GNOME DistroRelease: Ubuntu 16.04 HibernationDevice: RESUME=UUID=bed7757a-3749-4efb-9e9f-0ce8129bfbb9 InstallationDate: Installed on 2015-11-11 (15 days ago) InstallationMedia: Ubuntu-GNOME 16.04 LTS "Xenial Xerus" - Alpha amd64 (20151110) Lsusb:  Bus 002 Device 001: ID 1d6b:0003 Linux Foundation 3.0 root hub  Bus 001 Device 003: ID 04f2:b520 Chicony Electronics Co., Ltd  Bus 001 Device 002: ID 04ca:3016 Lite-On Technology Corp.  Bus 001 Device 004: ID 0bda:0129 Realtek Semiconductor Corp. RTS5129 Card Reader Controller  Bus 001 Device 001: ID 1d6b:0002 Linux Foundation 2.0 root hub MachineType: Acer Aspire VN7-792G Package: linux (not installed) ProcFB: 0 inteldrmfb ProcKernelCmdLine: BOOT_IMAGE=/boot/vmlinuz-4.2.0-19-generic.efi.signed root=UUID=bdadfbdf-2233-46de-b804-c88712e6c518 ro ipv6.disable=1 i915.preliminary_hw_support=1 ProcVersionSignature: Ubuntu 4.2.0-19.23-generic 4.2.6 RelatedPackageVersions:  linux-restricted-modules-4.2.0-19-generic N/A  linux-backports-modules-4.2.0-19-generic N/A  linux-firmware 1.153 Tags: xenial UdevLog: Error: [Errno 2] No such file or directory: '/var/log/udev' Uname: Linux 4.2.0-19-generic x86_64 UpgradeStatus: No upgrade log present (probably fresh install) UserGroups: adm bumblebee cdrom dip lpadmin plugdev sambashare sudo _MarkForUpload: True dmi.bios.date: 09/25/2015 dmi.bios.vendor: Insyde Corp. dmi.bios.version: V1.02 dmi.board.asset.tag: No Asset Tag dmi.board.name: Aspire VN7-792G dmi.board.vendor: Acer dmi.board.version: V1.02 dmi.chassis.asset.tag: No Asset Tag dmi.chassis.type: 10 dmi.chassis.vendor: Acer dmi.chassis.version: V1.02 dmi.modalias: dmi:bvnInsydeCorp.:bvrV1.02:bd09/25/2015:svnAcer:pnAspireVN7-792G:pvrV1.02:rvnAcer:rnAspireVN7-792G:rvrV1.02:cvnAcer:ct10:cvrV1.02: dmi.product.name: Aspire VN7-792G dmi.product.version: V1.02 dmi.sys.vendor: Acer --------------------------------------------------------------- STATUS 2016-03-17: The support for this card has been added to https://github.com/kvalo/ath10k-firmware. It now contains the required board.bin, board-2.bin and firmware-4.bin files for the card to initialize and connect to an bgn -access point (5GHz (ac-protocol) is still untested, feel free to modify this if you can confirm it works). Here are the new commands to get you online: sudo mkdir -p /lib/firmware/ath10k/QCA6174/hw3.0/ sudo rm /lib/firmware/ath10k/QCA6174/hw3.0/* 2> /dev/null sudo wget -O /lib/firmware/ath10k/QCA6174/hw3.0/board.bin https://github.com/kvalo/ath10k-firmware/blob/master/QCA6174/hw3.0/board.bin?raw=true sudo wget -O /lib/firmware/ath10k/QCA6174/hw3.0/board-2.bin https://github.com/kvalo/ath10k-firmware/blob/master/QCA6174/hw3.0/board-2.bin?raw=true sudo wget -O /lib/firmware/ath10k/QCA6174/hw3.0/firmware-4.bin https://github.com/kvalo/ath10k-firmware/blob/master/QCA6174/hw3.0/firmware-4.bin_WLAN.RM.2.0-00180-QCARMSWPZ-1?raw=true Reboot or reload the ath10k_pci module and you should be able to connect! --------------------------------------------------------------- STATUS 2015-12-22: Currently there is a fix for this problem in post #22 (originally post #19, but reposted due to command typos!) which seems to have fixed the issue for many. This bug is unique to revision 32 of the card [168c:003e], fixes for older revisions don't seem to work. There are a couple of issues regarding the fix for some people (not all): 1. Wireless works, but network throughput stops some time after connecting to access point 2. Bluetooth communications take a noticeable performance hit when transferring something over WiFi --------------------------------------------------------------- Original description: I have recently installed Ubuntu 15.10 (64-bit) alongside Windows 10 on an Acer Aspire VN7-792G-76ZH and discovered, that the Qualcomm wireless card doesn't work in it or 16.04. The card has the device id 168c:003e as many other cards, for example the Qualcomm Atheros Killer (https://bugs.launchpad.net/ubuntu/+source/linux/+bug/1383184), but it has a newer revision number (32) and the suggested fixes work only partially and the wireless is unusable. The computer has just been released this summer and is Intel Skylake -based. I've tried the patch from bug 1383184, which has a fix for the card revision 20: Make the directory /lib/firmware/ath10k/QCA6174/hw3.0/ and put in the patch files: board.bin firmware-4.bin notice_ath10k_firmware-4.txt ath10k_pci succeeds in loading the firmware, but it seems that the firmware is not working correctly: dmesg | grep ath [ 5.452683] ath10k_pci 0000:07:00.0: pci irq msi-x interrupts 8 irq_mode 0 reset_mode 0 [ 5.678420] ath10k_pci 0000:07:00.0: Direct firmware load for ath10k/cal-pci-0000:07:00.0.bin failed with error -2 [ 5.678773] ath10k_pci 0000:07:00.0: Direct firmware load for ath10k/QCA6174/hw3.0/board-pci-168c:003e:11ad:0807.bin failed with error -2 [ 5.678781] ath10k_pci 0000:07:00.0: failed to load spec board file, falling back to generic: -2 [ 5.679445] ath10k_pci 0000:07:00.0: Direct firmware load for ath10k/QCA6174/hw3.0/firmware-5.bin failed with error -2 [ 5.679453] ath10k_pci 0000:07:00.0: could not fetch firmware file 'ath10k/QCA6174/hw3.0/firmware-5.bin': -2 [ 7.802316] ath10k_pci 0000:07:00.0: qca6174 hw3.2 (0x05030000, 0x00340aff, 168c:003e:11ad:0807 fallback) fw WLAN.RM.2.0-00180-QCARMSWPZ-1 api 4 htt 3.26 wmi 4 cal otp max_sta 32 [ 7.802329] ath10k_pci 0000:07:00.0: debug 0 debugfs 1 tracing 1 dfs 0 testmode 0 [ 8.200607] ath: EEPROM regdomain: 0x6c [ 8.200614] ath: EEPROM indicates we should expect a direct regpair map [ 8.200619] ath: Country alpha2 being used: 00 [ 8.200621] ath: Regpair used: 0x6c [ 8.216605] ath10k_pci 0000:07:00.0 wlp7s0: renamed from wlan0 [ 13.462029] ath10k_pci 0000:07:00.0: failed to enable dynamic BW: -11 [ 16.461416] ath10k_pci 0000:07:00.0: could not suspend target (-11) [ 24.760062] ath10k_pci 0000:07:00.0: failed to enable dynamic BW: -11 [ 27.759534] ath10k_pci 0000:07:00.0: could not suspend target (-11) [ 36.046205] ath10k_pci 0000:07:00.0: failed to set arp ac override parameter: -11 [ 39.045729] ath10k_pci 0000:07:00.0: could not suspend target (-11) [ 47.344304] ath10k_pci 0000:07:00.0: failed to enable dynamic BW: -11 [ 50.343794] ath10k_pci 0000:07:00.0: could not suspend target (-11) [ 58.630534] ath10k_pci 0000:07:00.0: failed to enable dynamic BW: -11 [ 61.629936] ath10k_pci 0000:07:00.0: could not suspend target (-11) [ 69.920624] ath10k_pci 0000:07:00.0: failed to enable dynamic BW: -11 [ 72.920132] ath10k_pci 0000:07:00.0: could not suspend target (-11) [ 81.206812] ath10k_pci 0000:07:00.0: failed to enable dynamic BW: -11 [ 84.206218] ath10k_pci 0000:07:00.0: could not suspend target (-11) ... Then it just constantly prints the last two messages on and on. I can weirdly enough see the card in iwconfig: wlp7s0 IEEE 802.11abgn ESSID:off/any           Mode:Managed Access Point: Not-Associated Tx-Power=0 dBm           Retry short limit:7 RTS thr:off Fragment thr:off           Power Management:off And I can see the wireless-icon in the toolbar, but scanning for access points or trying to connect to one doesn't work. This is the furthest I've gotten. I suspect this card needs a new firmware in ath10k? --- ApportVersion: 2.19.2-0ubuntu6 Architecture: amd64 AudioDevicesInUse:  USER PID ACCESS COMMAND  /dev/snd/controlC0: dennis 1230 F.... pulseaudio CurrentDesktop: GNOME DistroRelease: Ubuntu 16.04 HibernationDevice: RESUME=UUID=bed7757a-3749-4efb-9e9f-0ce8129bfbb9 InstallationDate: Installed on 2015-11-11 (15 days ago) InstallationMedia: Ubuntu-GNOME 16.04 LTS "Xenial Xerus" - Alpha amd64 (20151110) Lsusb:  Bus 002 Device 001: ID 1d6b:0003 Linux Foundation 3.0 root hub  Bus 001 Device 003: ID 04f2:b520 Chicony Electronics Co., Ltd  Bus 001 Device 002: ID 04ca:3016 Lite-On Technology Corp.  Bus 001 Device 004: ID 0bda:0129 Realtek Semiconductor Corp. RTS5129 Card Reader Controller  Bus 001 Device 001: ID 1d6b:0002 Linux Foundation 2.0 root hub MachineType: Acer Aspire VN7-792G Package: linux (not installed) ProcFB: 0 inteldrmfb ProcKernelCmdLine: BOOT_IMAGE=/boot/vmlinuz-4.2.0-19-generic.efi.signed root=UUID=bdadfbdf-2233-46de-b804-c88712e6c518 ro ipv6.disable=1 i915.preliminary_hw_support=1 ProcVersionSignature: Ubuntu 4.2.0-19.23-generic 4.2.6 RelatedPackageVersions:  linux-restricted-modules-4.2.0-19-generic N/A  linux-backports-modules-4.2.0-19-generic N/A  linux-firmware 1.153 Tags: xenial UdevLog: Error: [Errno 2] No such file or directory: '/var/log/udev' Uname: Linux 4.2.0-19-generic x86_64 UpgradeStatus: No upgrade log present (probably fresh install) UserGroups: adm bumblebee cdrom dip lpadmin plugdev sambashare sudo _MarkForUpload: True dmi.bios.date: 09/25/2015 dmi.bios.vendor: Insyde Corp. dmi.bios.version: V1.02 dmi.board.asset.tag: No Asset Tag dmi.board.name: Aspire VN7-792G dmi.board.vendor: Acer dmi.board.version: V1.02 dmi.chassis.asset.tag: No Asset Tag dmi.chassis.type: 10 dmi.chassis.vendor: Acer dmi.chassis.version: V1.02 dmi.modalias: dmi:bvnInsydeCorp.:bvrV1.02:bd09/25/2015:svnAcer:pnAspireVN7-792G:pvrV1.02:rvnAcer:rnAspireVN7-792G:rvrV1.02:cvnAcer:ct10:cvrV1.02: dmi.product.name: Aspire VN7-792G dmi.product.version: V1.02 dmi.sys.vendor: Acer
2016-03-17 19:23:33 Dennis Marttinen description --------------------------------------------------------------- STATUS 2016-03-17: The support for this card has been added to https://github.com/kvalo/ath10k-firmware. It now contains the required board.bin, board-2.bin and firmware-4.bin files for the card to initialize and connect to an bgn -access point (5GHz (ac-protocol) is still untested, feel free to modify this if you can confirm it works). Here are the new commands to get you online: sudo mkdir -p /lib/firmware/ath10k/QCA6174/hw3.0/ sudo rm /lib/firmware/ath10k/QCA6174/hw3.0/* 2> /dev/null sudo wget -O /lib/firmware/ath10k/QCA6174/hw3.0/board.bin https://github.com/kvalo/ath10k-firmware/blob/master/QCA6174/hw3.0/board.bin?raw=true sudo wget -O /lib/firmware/ath10k/QCA6174/hw3.0/board-2.bin https://github.com/kvalo/ath10k-firmware/blob/master/QCA6174/hw3.0/board-2.bin?raw=true sudo wget -O /lib/firmware/ath10k/QCA6174/hw3.0/firmware-4.bin https://github.com/kvalo/ath10k-firmware/blob/master/QCA6174/hw3.0/firmware-4.bin_WLAN.RM.2.0-00180-QCARMSWPZ-1?raw=true Reboot or reload the ath10k_pci module and you should be able to connect! --------------------------------------------------------------- STATUS 2015-12-22: Currently there is a fix for this problem in post #22 (originally post #19, but reposted due to command typos!) which seems to have fixed the issue for many. This bug is unique to revision 32 of the card [168c:003e], fixes for older revisions don't seem to work. There are a couple of issues regarding the fix for some people (not all): 1. Wireless works, but network throughput stops some time after connecting to access point 2. Bluetooth communications take a noticeable performance hit when transferring something over WiFi --------------------------------------------------------------- Original description: I have recently installed Ubuntu 15.10 (64-bit) alongside Windows 10 on an Acer Aspire VN7-792G-76ZH and discovered, that the Qualcomm wireless card doesn't work in it or 16.04. The card has the device id 168c:003e as many other cards, for example the Qualcomm Atheros Killer (https://bugs.launchpad.net/ubuntu/+source/linux/+bug/1383184), but it has a newer revision number (32) and the suggested fixes work only partially and the wireless is unusable. The computer has just been released this summer and is Intel Skylake -based. I've tried the patch from bug 1383184, which has a fix for the card revision 20: Make the directory /lib/firmware/ath10k/QCA6174/hw3.0/ and put in the patch files: board.bin firmware-4.bin notice_ath10k_firmware-4.txt ath10k_pci succeeds in loading the firmware, but it seems that the firmware is not working correctly: dmesg | grep ath [ 5.452683] ath10k_pci 0000:07:00.0: pci irq msi-x interrupts 8 irq_mode 0 reset_mode 0 [ 5.678420] ath10k_pci 0000:07:00.0: Direct firmware load for ath10k/cal-pci-0000:07:00.0.bin failed with error -2 [ 5.678773] ath10k_pci 0000:07:00.0: Direct firmware load for ath10k/QCA6174/hw3.0/board-pci-168c:003e:11ad:0807.bin failed with error -2 [ 5.678781] ath10k_pci 0000:07:00.0: failed to load spec board file, falling back to generic: -2 [ 5.679445] ath10k_pci 0000:07:00.0: Direct firmware load for ath10k/QCA6174/hw3.0/firmware-5.bin failed with error -2 [ 5.679453] ath10k_pci 0000:07:00.0: could not fetch firmware file 'ath10k/QCA6174/hw3.0/firmware-5.bin': -2 [ 7.802316] ath10k_pci 0000:07:00.0: qca6174 hw3.2 (0x05030000, 0x00340aff, 168c:003e:11ad:0807 fallback) fw WLAN.RM.2.0-00180-QCARMSWPZ-1 api 4 htt 3.26 wmi 4 cal otp max_sta 32 [ 7.802329] ath10k_pci 0000:07:00.0: debug 0 debugfs 1 tracing 1 dfs 0 testmode 0 [ 8.200607] ath: EEPROM regdomain: 0x6c [ 8.200614] ath: EEPROM indicates we should expect a direct regpair map [ 8.200619] ath: Country alpha2 being used: 00 [ 8.200621] ath: Regpair used: 0x6c [ 8.216605] ath10k_pci 0000:07:00.0 wlp7s0: renamed from wlan0 [ 13.462029] ath10k_pci 0000:07:00.0: failed to enable dynamic BW: -11 [ 16.461416] ath10k_pci 0000:07:00.0: could not suspend target (-11) [ 24.760062] ath10k_pci 0000:07:00.0: failed to enable dynamic BW: -11 [ 27.759534] ath10k_pci 0000:07:00.0: could not suspend target (-11) [ 36.046205] ath10k_pci 0000:07:00.0: failed to set arp ac override parameter: -11 [ 39.045729] ath10k_pci 0000:07:00.0: could not suspend target (-11) [ 47.344304] ath10k_pci 0000:07:00.0: failed to enable dynamic BW: -11 [ 50.343794] ath10k_pci 0000:07:00.0: could not suspend target (-11) [ 58.630534] ath10k_pci 0000:07:00.0: failed to enable dynamic BW: -11 [ 61.629936] ath10k_pci 0000:07:00.0: could not suspend target (-11) [ 69.920624] ath10k_pci 0000:07:00.0: failed to enable dynamic BW: -11 [ 72.920132] ath10k_pci 0000:07:00.0: could not suspend target (-11) [ 81.206812] ath10k_pci 0000:07:00.0: failed to enable dynamic BW: -11 [ 84.206218] ath10k_pci 0000:07:00.0: could not suspend target (-11) ... Then it just constantly prints the last two messages on and on. I can weirdly enough see the card in iwconfig: wlp7s0 IEEE 802.11abgn ESSID:off/any           Mode:Managed Access Point: Not-Associated Tx-Power=0 dBm           Retry short limit:7 RTS thr:off Fragment thr:off           Power Management:off And I can see the wireless-icon in the toolbar, but scanning for access points or trying to connect to one doesn't work. This is the furthest I've gotten. I suspect this card needs a new firmware in ath10k? --- ApportVersion: 2.19.2-0ubuntu6 Architecture: amd64 AudioDevicesInUse:  USER PID ACCESS COMMAND  /dev/snd/controlC0: dennis 1230 F.... pulseaudio CurrentDesktop: GNOME DistroRelease: Ubuntu 16.04 HibernationDevice: RESUME=UUID=bed7757a-3749-4efb-9e9f-0ce8129bfbb9 InstallationDate: Installed on 2015-11-11 (15 days ago) InstallationMedia: Ubuntu-GNOME 16.04 LTS "Xenial Xerus" - Alpha amd64 (20151110) Lsusb:  Bus 002 Device 001: ID 1d6b:0003 Linux Foundation 3.0 root hub  Bus 001 Device 003: ID 04f2:b520 Chicony Electronics Co., Ltd  Bus 001 Device 002: ID 04ca:3016 Lite-On Technology Corp.  Bus 001 Device 004: ID 0bda:0129 Realtek Semiconductor Corp. RTS5129 Card Reader Controller  Bus 001 Device 001: ID 1d6b:0002 Linux Foundation 2.0 root hub MachineType: Acer Aspire VN7-792G Package: linux (not installed) ProcFB: 0 inteldrmfb ProcKernelCmdLine: BOOT_IMAGE=/boot/vmlinuz-4.2.0-19-generic.efi.signed root=UUID=bdadfbdf-2233-46de-b804-c88712e6c518 ro ipv6.disable=1 i915.preliminary_hw_support=1 ProcVersionSignature: Ubuntu 4.2.0-19.23-generic 4.2.6 RelatedPackageVersions:  linux-restricted-modules-4.2.0-19-generic N/A  linux-backports-modules-4.2.0-19-generic N/A  linux-firmware 1.153 Tags: xenial UdevLog: Error: [Errno 2] No such file or directory: '/var/log/udev' Uname: Linux 4.2.0-19-generic x86_64 UpgradeStatus: No upgrade log present (probably fresh install) UserGroups: adm bumblebee cdrom dip lpadmin plugdev sambashare sudo _MarkForUpload: True dmi.bios.date: 09/25/2015 dmi.bios.vendor: Insyde Corp. dmi.bios.version: V1.02 dmi.board.asset.tag: No Asset Tag dmi.board.name: Aspire VN7-792G dmi.board.vendor: Acer dmi.board.version: V1.02 dmi.chassis.asset.tag: No Asset Tag dmi.chassis.type: 10 dmi.chassis.vendor: Acer dmi.chassis.version: V1.02 dmi.modalias: dmi:bvnInsydeCorp.:bvrV1.02:bd09/25/2015:svnAcer:pnAspireVN7-792G:pvrV1.02:rvnAcer:rnAspireVN7-792G:rvrV1.02:cvnAcer:ct10:cvrV1.02: dmi.product.name: Aspire VN7-792G dmi.product.version: V1.02 dmi.sys.vendor: Acer --------------------------------------------------------------- STATUS 2016-03-17: The support for this card has now been merged to https://github.com/kvalo/ath10k-firmware. The repository now contains the required board.bin, board-2.bin and firmware-4.bin files for the card to initialize and connect to a bgn-access point (5GHz (ac-protocol) is still untested, feel free to modify this if you can confirm it works). Here are the new commands to get you online: sudo mkdir -p /lib/firmware/ath10k/QCA6174/hw3.0/ sudo rm /lib/firmware/ath10k/QCA6174/hw3.0/* 2> /dev/null sudo wget -O /lib/firmware/ath10k/QCA6174/hw3.0/board.bin https://github.com/kvalo/ath10k-firmware/blob/master/QCA6174/hw3.0/board.bin?raw=true sudo wget -O /lib/firmware/ath10k/QCA6174/hw3.0/board-2.bin https://github.com/kvalo/ath10k-firmware/blob/master/QCA6174/hw3.0/board-2.bin?raw=true sudo wget -O /lib/firmware/ath10k/QCA6174/hw3.0/firmware-4.bin https://github.com/kvalo/ath10k-firmware/blob/master/QCA6174/hw3.0/firmware-4.bin_WLAN.RM.2.0-00180-QCARMSWPZ-1?raw=true Reboot or reload the ath10k_pci module and you should be able to connect! --------------------------------------------------------------- STATUS 2015-12-22: Currently there is a fix for this problem in post #22 (originally post #19, but reposted due to command typos!) which seems to have fixed the issue for many. This bug is unique to revision 32 of the card [168c:003e], fixes for older revisions don't seem to work. There are a couple of issues regarding the fix for some people (not all): 1. Wireless works, but network throughput stops some time after connecting to access point 2. Bluetooth communications take a noticeable performance hit when transferring something over WiFi --------------------------------------------------------------- Original description: I have recently installed Ubuntu 15.10 (64-bit) alongside Windows 10 on an Acer Aspire VN7-792G-76ZH and discovered, that the Qualcomm wireless card doesn't work in it or 16.04. The card has the device id 168c:003e as many other cards, for example the Qualcomm Atheros Killer (https://bugs.launchpad.net/ubuntu/+source/linux/+bug/1383184), but it has a newer revision number (32) and the suggested fixes work only partially and the wireless is unusable. The computer has just been released this summer and is Intel Skylake -based. I've tried the patch from bug 1383184, which has a fix for the card revision 20: Make the directory /lib/firmware/ath10k/QCA6174/hw3.0/ and put in the patch files: board.bin firmware-4.bin notice_ath10k_firmware-4.txt ath10k_pci succeeds in loading the firmware, but it seems that the firmware is not working correctly: dmesg | grep ath [ 5.452683] ath10k_pci 0000:07:00.0: pci irq msi-x interrupts 8 irq_mode 0 reset_mode 0 [ 5.678420] ath10k_pci 0000:07:00.0: Direct firmware load for ath10k/cal-pci-0000:07:00.0.bin failed with error -2 [ 5.678773] ath10k_pci 0000:07:00.0: Direct firmware load for ath10k/QCA6174/hw3.0/board-pci-168c:003e:11ad:0807.bin failed with error -2 [ 5.678781] ath10k_pci 0000:07:00.0: failed to load spec board file, falling back to generic: -2 [ 5.679445] ath10k_pci 0000:07:00.0: Direct firmware load for ath10k/QCA6174/hw3.0/firmware-5.bin failed with error -2 [ 5.679453] ath10k_pci 0000:07:00.0: could not fetch firmware file 'ath10k/QCA6174/hw3.0/firmware-5.bin': -2 [ 7.802316] ath10k_pci 0000:07:00.0: qca6174 hw3.2 (0x05030000, 0x00340aff, 168c:003e:11ad:0807 fallback) fw WLAN.RM.2.0-00180-QCARMSWPZ-1 api 4 htt 3.26 wmi 4 cal otp max_sta 32 [ 7.802329] ath10k_pci 0000:07:00.0: debug 0 debugfs 1 tracing 1 dfs 0 testmode 0 [ 8.200607] ath: EEPROM regdomain: 0x6c [ 8.200614] ath: EEPROM indicates we should expect a direct regpair map [ 8.200619] ath: Country alpha2 being used: 00 [ 8.200621] ath: Regpair used: 0x6c [ 8.216605] ath10k_pci 0000:07:00.0 wlp7s0: renamed from wlan0 [ 13.462029] ath10k_pci 0000:07:00.0: failed to enable dynamic BW: -11 [ 16.461416] ath10k_pci 0000:07:00.0: could not suspend target (-11) [ 24.760062] ath10k_pci 0000:07:00.0: failed to enable dynamic BW: -11 [ 27.759534] ath10k_pci 0000:07:00.0: could not suspend target (-11) [ 36.046205] ath10k_pci 0000:07:00.0: failed to set arp ac override parameter: -11 [ 39.045729] ath10k_pci 0000:07:00.0: could not suspend target (-11) [ 47.344304] ath10k_pci 0000:07:00.0: failed to enable dynamic BW: -11 [ 50.343794] ath10k_pci 0000:07:00.0: could not suspend target (-11) [ 58.630534] ath10k_pci 0000:07:00.0: failed to enable dynamic BW: -11 [ 61.629936] ath10k_pci 0000:07:00.0: could not suspend target (-11) [ 69.920624] ath10k_pci 0000:07:00.0: failed to enable dynamic BW: -11 [ 72.920132] ath10k_pci 0000:07:00.0: could not suspend target (-11) [ 81.206812] ath10k_pci 0000:07:00.0: failed to enable dynamic BW: -11 [ 84.206218] ath10k_pci 0000:07:00.0: could not suspend target (-11) ... Then it just constantly prints the last two messages on and on. I can weirdly enough see the card in iwconfig: wlp7s0 IEEE 802.11abgn ESSID:off/any           Mode:Managed Access Point: Not-Associated Tx-Power=0 dBm           Retry short limit:7 RTS thr:off Fragment thr:off           Power Management:off And I can see the wireless-icon in the toolbar, but scanning for access points or trying to connect to one doesn't work. This is the furthest I've gotten. I suspect this card needs a new firmware in ath10k? --- ApportVersion: 2.19.2-0ubuntu6 Architecture: amd64 AudioDevicesInUse:  USER PID ACCESS COMMAND  /dev/snd/controlC0: dennis 1230 F.... pulseaudio CurrentDesktop: GNOME DistroRelease: Ubuntu 16.04 HibernationDevice: RESUME=UUID=bed7757a-3749-4efb-9e9f-0ce8129bfbb9 InstallationDate: Installed on 2015-11-11 (15 days ago) InstallationMedia: Ubuntu-GNOME 16.04 LTS "Xenial Xerus" - Alpha amd64 (20151110) Lsusb:  Bus 002 Device 001: ID 1d6b:0003 Linux Foundation 3.0 root hub  Bus 001 Device 003: ID 04f2:b520 Chicony Electronics Co., Ltd  Bus 001 Device 002: ID 04ca:3016 Lite-On Technology Corp.  Bus 001 Device 004: ID 0bda:0129 Realtek Semiconductor Corp. RTS5129 Card Reader Controller  Bus 001 Device 001: ID 1d6b:0002 Linux Foundation 2.0 root hub MachineType: Acer Aspire VN7-792G Package: linux (not installed) ProcFB: 0 inteldrmfb ProcKernelCmdLine: BOOT_IMAGE=/boot/vmlinuz-4.2.0-19-generic.efi.signed root=UUID=bdadfbdf-2233-46de-b804-c88712e6c518 ro ipv6.disable=1 i915.preliminary_hw_support=1 ProcVersionSignature: Ubuntu 4.2.0-19.23-generic 4.2.6 RelatedPackageVersions:  linux-restricted-modules-4.2.0-19-generic N/A  linux-backports-modules-4.2.0-19-generic N/A  linux-firmware 1.153 Tags: xenial UdevLog: Error: [Errno 2] No such file or directory: '/var/log/udev' Uname: Linux 4.2.0-19-generic x86_64 UpgradeStatus: No upgrade log present (probably fresh install) UserGroups: adm bumblebee cdrom dip lpadmin plugdev sambashare sudo _MarkForUpload: True dmi.bios.date: 09/25/2015 dmi.bios.vendor: Insyde Corp. dmi.bios.version: V1.02 dmi.board.asset.tag: No Asset Tag dmi.board.name: Aspire VN7-792G dmi.board.vendor: Acer dmi.board.version: V1.02 dmi.chassis.asset.tag: No Asset Tag dmi.chassis.type: 10 dmi.chassis.vendor: Acer dmi.chassis.version: V1.02 dmi.modalias: dmi:bvnInsydeCorp.:bvrV1.02:bd09/25/2015:svnAcer:pnAspireVN7-792G:pvrV1.02:rvnAcer:rnAspireVN7-792G:rvrV1.02:cvnAcer:ct10:cvrV1.02: dmi.product.name: Aspire VN7-792G dmi.product.version: V1.02 dmi.sys.vendor: Acer
2016-03-19 00:21:39 DaysJoy bug added subscriber DaysJoy
2016-03-19 19:57:53 bugs@lammy.co.uk bug added subscriber bugs@lammy.co.uk
2016-03-24 15:09:26 Dennis Marttinen description --------------------------------------------------------------- STATUS 2016-03-17: The support for this card has now been merged to https://github.com/kvalo/ath10k-firmware. The repository now contains the required board.bin, board-2.bin and firmware-4.bin files for the card to initialize and connect to a bgn-access point (5GHz (ac-protocol) is still untested, feel free to modify this if you can confirm it works). Here are the new commands to get you online: sudo mkdir -p /lib/firmware/ath10k/QCA6174/hw3.0/ sudo rm /lib/firmware/ath10k/QCA6174/hw3.0/* 2> /dev/null sudo wget -O /lib/firmware/ath10k/QCA6174/hw3.0/board.bin https://github.com/kvalo/ath10k-firmware/blob/master/QCA6174/hw3.0/board.bin?raw=true sudo wget -O /lib/firmware/ath10k/QCA6174/hw3.0/board-2.bin https://github.com/kvalo/ath10k-firmware/blob/master/QCA6174/hw3.0/board-2.bin?raw=true sudo wget -O /lib/firmware/ath10k/QCA6174/hw3.0/firmware-4.bin https://github.com/kvalo/ath10k-firmware/blob/master/QCA6174/hw3.0/firmware-4.bin_WLAN.RM.2.0-00180-QCARMSWPZ-1?raw=true Reboot or reload the ath10k_pci module and you should be able to connect! --------------------------------------------------------------- STATUS 2015-12-22: Currently there is a fix for this problem in post #22 (originally post #19, but reposted due to command typos!) which seems to have fixed the issue for many. This bug is unique to revision 32 of the card [168c:003e], fixes for older revisions don't seem to work. There are a couple of issues regarding the fix for some people (not all): 1. Wireless works, but network throughput stops some time after connecting to access point 2. Bluetooth communications take a noticeable performance hit when transferring something over WiFi --------------------------------------------------------------- Original description: I have recently installed Ubuntu 15.10 (64-bit) alongside Windows 10 on an Acer Aspire VN7-792G-76ZH and discovered, that the Qualcomm wireless card doesn't work in it or 16.04. The card has the device id 168c:003e as many other cards, for example the Qualcomm Atheros Killer (https://bugs.launchpad.net/ubuntu/+source/linux/+bug/1383184), but it has a newer revision number (32) and the suggested fixes work only partially and the wireless is unusable. The computer has just been released this summer and is Intel Skylake -based. I've tried the patch from bug 1383184, which has a fix for the card revision 20: Make the directory /lib/firmware/ath10k/QCA6174/hw3.0/ and put in the patch files: board.bin firmware-4.bin notice_ath10k_firmware-4.txt ath10k_pci succeeds in loading the firmware, but it seems that the firmware is not working correctly: dmesg | grep ath [ 5.452683] ath10k_pci 0000:07:00.0: pci irq msi-x interrupts 8 irq_mode 0 reset_mode 0 [ 5.678420] ath10k_pci 0000:07:00.0: Direct firmware load for ath10k/cal-pci-0000:07:00.0.bin failed with error -2 [ 5.678773] ath10k_pci 0000:07:00.0: Direct firmware load for ath10k/QCA6174/hw3.0/board-pci-168c:003e:11ad:0807.bin failed with error -2 [ 5.678781] ath10k_pci 0000:07:00.0: failed to load spec board file, falling back to generic: -2 [ 5.679445] ath10k_pci 0000:07:00.0: Direct firmware load for ath10k/QCA6174/hw3.0/firmware-5.bin failed with error -2 [ 5.679453] ath10k_pci 0000:07:00.0: could not fetch firmware file 'ath10k/QCA6174/hw3.0/firmware-5.bin': -2 [ 7.802316] ath10k_pci 0000:07:00.0: qca6174 hw3.2 (0x05030000, 0x00340aff, 168c:003e:11ad:0807 fallback) fw WLAN.RM.2.0-00180-QCARMSWPZ-1 api 4 htt 3.26 wmi 4 cal otp max_sta 32 [ 7.802329] ath10k_pci 0000:07:00.0: debug 0 debugfs 1 tracing 1 dfs 0 testmode 0 [ 8.200607] ath: EEPROM regdomain: 0x6c [ 8.200614] ath: EEPROM indicates we should expect a direct regpair map [ 8.200619] ath: Country alpha2 being used: 00 [ 8.200621] ath: Regpair used: 0x6c [ 8.216605] ath10k_pci 0000:07:00.0 wlp7s0: renamed from wlan0 [ 13.462029] ath10k_pci 0000:07:00.0: failed to enable dynamic BW: -11 [ 16.461416] ath10k_pci 0000:07:00.0: could not suspend target (-11) [ 24.760062] ath10k_pci 0000:07:00.0: failed to enable dynamic BW: -11 [ 27.759534] ath10k_pci 0000:07:00.0: could not suspend target (-11) [ 36.046205] ath10k_pci 0000:07:00.0: failed to set arp ac override parameter: -11 [ 39.045729] ath10k_pci 0000:07:00.0: could not suspend target (-11) [ 47.344304] ath10k_pci 0000:07:00.0: failed to enable dynamic BW: -11 [ 50.343794] ath10k_pci 0000:07:00.0: could not suspend target (-11) [ 58.630534] ath10k_pci 0000:07:00.0: failed to enable dynamic BW: -11 [ 61.629936] ath10k_pci 0000:07:00.0: could not suspend target (-11) [ 69.920624] ath10k_pci 0000:07:00.0: failed to enable dynamic BW: -11 [ 72.920132] ath10k_pci 0000:07:00.0: could not suspend target (-11) [ 81.206812] ath10k_pci 0000:07:00.0: failed to enable dynamic BW: -11 [ 84.206218] ath10k_pci 0000:07:00.0: could not suspend target (-11) ... Then it just constantly prints the last two messages on and on. I can weirdly enough see the card in iwconfig: wlp7s0 IEEE 802.11abgn ESSID:off/any           Mode:Managed Access Point: Not-Associated Tx-Power=0 dBm           Retry short limit:7 RTS thr:off Fragment thr:off           Power Management:off And I can see the wireless-icon in the toolbar, but scanning for access points or trying to connect to one doesn't work. This is the furthest I've gotten. I suspect this card needs a new firmware in ath10k? --- ApportVersion: 2.19.2-0ubuntu6 Architecture: amd64 AudioDevicesInUse:  USER PID ACCESS COMMAND  /dev/snd/controlC0: dennis 1230 F.... pulseaudio CurrentDesktop: GNOME DistroRelease: Ubuntu 16.04 HibernationDevice: RESUME=UUID=bed7757a-3749-4efb-9e9f-0ce8129bfbb9 InstallationDate: Installed on 2015-11-11 (15 days ago) InstallationMedia: Ubuntu-GNOME 16.04 LTS "Xenial Xerus" - Alpha amd64 (20151110) Lsusb:  Bus 002 Device 001: ID 1d6b:0003 Linux Foundation 3.0 root hub  Bus 001 Device 003: ID 04f2:b520 Chicony Electronics Co., Ltd  Bus 001 Device 002: ID 04ca:3016 Lite-On Technology Corp.  Bus 001 Device 004: ID 0bda:0129 Realtek Semiconductor Corp. RTS5129 Card Reader Controller  Bus 001 Device 001: ID 1d6b:0002 Linux Foundation 2.0 root hub MachineType: Acer Aspire VN7-792G Package: linux (not installed) ProcFB: 0 inteldrmfb ProcKernelCmdLine: BOOT_IMAGE=/boot/vmlinuz-4.2.0-19-generic.efi.signed root=UUID=bdadfbdf-2233-46de-b804-c88712e6c518 ro ipv6.disable=1 i915.preliminary_hw_support=1 ProcVersionSignature: Ubuntu 4.2.0-19.23-generic 4.2.6 RelatedPackageVersions:  linux-restricted-modules-4.2.0-19-generic N/A  linux-backports-modules-4.2.0-19-generic N/A  linux-firmware 1.153 Tags: xenial UdevLog: Error: [Errno 2] No such file or directory: '/var/log/udev' Uname: Linux 4.2.0-19-generic x86_64 UpgradeStatus: No upgrade log present (probably fresh install) UserGroups: adm bumblebee cdrom dip lpadmin plugdev sambashare sudo _MarkForUpload: True dmi.bios.date: 09/25/2015 dmi.bios.vendor: Insyde Corp. dmi.bios.version: V1.02 dmi.board.asset.tag: No Asset Tag dmi.board.name: Aspire VN7-792G dmi.board.vendor: Acer dmi.board.version: V1.02 dmi.chassis.asset.tag: No Asset Tag dmi.chassis.type: 10 dmi.chassis.vendor: Acer dmi.chassis.version: V1.02 dmi.modalias: dmi:bvnInsydeCorp.:bvrV1.02:bd09/25/2015:svnAcer:pnAspireVN7-792G:pvrV1.02:rvnAcer:rnAspireVN7-792G:rvrV1.02:cvnAcer:ct10:cvrV1.02: dmi.product.name: Aspire VN7-792G dmi.product.version: V1.02 dmi.sys.vendor: Acer --------------------------------------------------------------- STATUS 2016-03-17: ========== WARNING: You need at least kernel 4.5.0 for the following new fix to work, else refer to the old method described in post #22 ========== The support for this card has now been merged to https://github.com/kvalo/ath10k-firmware. The repository now contains the required board.bin, board-2.bin and firmware-4.bin files for the card to initialize and connect to a bgn-access point (5GHz (ac-protocol) is still untested, feel free to modify this if you can confirm it works). Here are the new commands to get you online: sudo mkdir -p /lib/firmware/ath10k/QCA6174/hw3.0/ sudo rm /lib/firmware/ath10k/QCA6174/hw3.0/* 2> /dev/null sudo wget -O /lib/firmware/ath10k/QCA6174/hw3.0/board.bin https://github.com/kvalo/ath10k-firmware/blob/master/QCA6174/hw3.0/board.bin?raw=true sudo wget -O /lib/firmware/ath10k/QCA6174/hw3.0/board-2.bin https://github.com/kvalo/ath10k-firmware/blob/master/QCA6174/hw3.0/board-2.bin?raw=true sudo wget -O /lib/firmware/ath10k/QCA6174/hw3.0/firmware-4.bin https://github.com/kvalo/ath10k-firmware/blob/master/QCA6174/hw3.0/firmware-4.bin_WLAN.RM.2.0-00180-QCARMSWPZ-1?raw=true Reboot or reload the ath10k_pci module and you should be able to connect! --------------------------------------------------------------- STATUS 2015-12-22: Currently there is a fix for this problem in post #22 (originally post #19, but reposted due to command typos!) which seems to have fixed the issue for many. This bug is unique to revision 32 of the card [168c:003e], fixes for older revisions don't seem to work. There are a couple of issues regarding the fix for some people (not all): 1. Wireless works, but network throughput stops some time after connecting to access point 2. Bluetooth communications take a noticeable performance hit when transferring something over WiFi --------------------------------------------------------------- Original description: I have recently installed Ubuntu 15.10 (64-bit) alongside Windows 10 on an Acer Aspire VN7-792G-76ZH and discovered, that the Qualcomm wireless card doesn't work in it or 16.04. The card has the device id 168c:003e as many other cards, for example the Qualcomm Atheros Killer (https://bugs.launchpad.net/ubuntu/+source/linux/+bug/1383184), but it has a newer revision number (32) and the suggested fixes work only partially and the wireless is unusable. The computer has just been released this summer and is Intel Skylake -based. I've tried the patch from bug 1383184, which has a fix for the card revision 20: Make the directory /lib/firmware/ath10k/QCA6174/hw3.0/ and put in the patch files: board.bin firmware-4.bin notice_ath10k_firmware-4.txt ath10k_pci succeeds in loading the firmware, but it seems that the firmware is not working correctly: dmesg | grep ath [ 5.452683] ath10k_pci 0000:07:00.0: pci irq msi-x interrupts 8 irq_mode 0 reset_mode 0 [ 5.678420] ath10k_pci 0000:07:00.0: Direct firmware load for ath10k/cal-pci-0000:07:00.0.bin failed with error -2 [ 5.678773] ath10k_pci 0000:07:00.0: Direct firmware load for ath10k/QCA6174/hw3.0/board-pci-168c:003e:11ad:0807.bin failed with error -2 [ 5.678781] ath10k_pci 0000:07:00.0: failed to load spec board file, falling back to generic: -2 [ 5.679445] ath10k_pci 0000:07:00.0: Direct firmware load for ath10k/QCA6174/hw3.0/firmware-5.bin failed with error -2 [ 5.679453] ath10k_pci 0000:07:00.0: could not fetch firmware file 'ath10k/QCA6174/hw3.0/firmware-5.bin': -2 [ 7.802316] ath10k_pci 0000:07:00.0: qca6174 hw3.2 (0x05030000, 0x00340aff, 168c:003e:11ad:0807 fallback) fw WLAN.RM.2.0-00180-QCARMSWPZ-1 api 4 htt 3.26 wmi 4 cal otp max_sta 32 [ 7.802329] ath10k_pci 0000:07:00.0: debug 0 debugfs 1 tracing 1 dfs 0 testmode 0 [ 8.200607] ath: EEPROM regdomain: 0x6c [ 8.200614] ath: EEPROM indicates we should expect a direct regpair map [ 8.200619] ath: Country alpha2 being used: 00 [ 8.200621] ath: Regpair used: 0x6c [ 8.216605] ath10k_pci 0000:07:00.0 wlp7s0: renamed from wlan0 [ 13.462029] ath10k_pci 0000:07:00.0: failed to enable dynamic BW: -11 [ 16.461416] ath10k_pci 0000:07:00.0: could not suspend target (-11) [ 24.760062] ath10k_pci 0000:07:00.0: failed to enable dynamic BW: -11 [ 27.759534] ath10k_pci 0000:07:00.0: could not suspend target (-11) [ 36.046205] ath10k_pci 0000:07:00.0: failed to set arp ac override parameter: -11 [ 39.045729] ath10k_pci 0000:07:00.0: could not suspend target (-11) [ 47.344304] ath10k_pci 0000:07:00.0: failed to enable dynamic BW: -11 [ 50.343794] ath10k_pci 0000:07:00.0: could not suspend target (-11) [ 58.630534] ath10k_pci 0000:07:00.0: failed to enable dynamic BW: -11 [ 61.629936] ath10k_pci 0000:07:00.0: could not suspend target (-11) [ 69.920624] ath10k_pci 0000:07:00.0: failed to enable dynamic BW: -11 [ 72.920132] ath10k_pci 0000:07:00.0: could not suspend target (-11) [ 81.206812] ath10k_pci 0000:07:00.0: failed to enable dynamic BW: -11 [ 84.206218] ath10k_pci 0000:07:00.0: could not suspend target (-11) ... Then it just constantly prints the last two messages on and on. I can weirdly enough see the card in iwconfig: wlp7s0 IEEE 802.11abgn ESSID:off/any           Mode:Managed Access Point: Not-Associated Tx-Power=0 dBm           Retry short limit:7 RTS thr:off Fragment thr:off           Power Management:off And I can see the wireless-icon in the toolbar, but scanning for access points or trying to connect to one doesn't work. This is the furthest I've gotten. I suspect this card needs a new firmware in ath10k? --- ApportVersion: 2.19.2-0ubuntu6 Architecture: amd64 AudioDevicesInUse:  USER PID ACCESS COMMAND  /dev/snd/controlC0: dennis 1230 F.... pulseaudio CurrentDesktop: GNOME DistroRelease: Ubuntu 16.04 HibernationDevice: RESUME=UUID=bed7757a-3749-4efb-9e9f-0ce8129bfbb9 InstallationDate: Installed on 2015-11-11 (15 days ago) InstallationMedia: Ubuntu-GNOME 16.04 LTS "Xenial Xerus" - Alpha amd64 (20151110) Lsusb:  Bus 002 Device 001: ID 1d6b:0003 Linux Foundation 3.0 root hub  Bus 001 Device 003: ID 04f2:b520 Chicony Electronics Co., Ltd  Bus 001 Device 002: ID 04ca:3016 Lite-On Technology Corp.  Bus 001 Device 004: ID 0bda:0129 Realtek Semiconductor Corp. RTS5129 Card Reader Controller  Bus 001 Device 001: ID 1d6b:0002 Linux Foundation 2.0 root hub MachineType: Acer Aspire VN7-792G Package: linux (not installed) ProcFB: 0 inteldrmfb ProcKernelCmdLine: BOOT_IMAGE=/boot/vmlinuz-4.2.0-19-generic.efi.signed root=UUID=bdadfbdf-2233-46de-b804-c88712e6c518 ro ipv6.disable=1 i915.preliminary_hw_support=1 ProcVersionSignature: Ubuntu 4.2.0-19.23-generic 4.2.6 RelatedPackageVersions:  linux-restricted-modules-4.2.0-19-generic N/A  linux-backports-modules-4.2.0-19-generic N/A  linux-firmware 1.153 Tags: xenial UdevLog: Error: [Errno 2] No such file or directory: '/var/log/udev' Uname: Linux 4.2.0-19-generic x86_64 UpgradeStatus: No upgrade log present (probably fresh install) UserGroups: adm bumblebee cdrom dip lpadmin plugdev sambashare sudo _MarkForUpload: True dmi.bios.date: 09/25/2015 dmi.bios.vendor: Insyde Corp. dmi.bios.version: V1.02 dmi.board.asset.tag: No Asset Tag dmi.board.name: Aspire VN7-792G dmi.board.vendor: Acer dmi.board.version: V1.02 dmi.chassis.asset.tag: No Asset Tag dmi.chassis.type: 10 dmi.chassis.vendor: Acer dmi.chassis.version: V1.02 dmi.modalias: dmi:bvnInsydeCorp.:bvrV1.02:bd09/25/2015:svnAcer:pnAspireVN7-792G:pvrV1.02:rvnAcer:rnAspireVN7-792G:rvrV1.02:cvnAcer:ct10:cvrV1.02: dmi.product.name: Aspire VN7-792G dmi.product.version: V1.02 dmi.sys.vendor: Acer
2016-03-28 11:58:54 Anders Østerholt affects linux (Ubuntu) linux-firmware (Ubuntu)
2016-04-01 11:17:52 Benjaminabel bug added subscriber Benjaminabel
2016-04-08 15:58:43 Anders Østerholt information type Public Public Security
2016-04-08 15:58:55 Anders Østerholt information type Public Security Public
2016-04-11 20:47:35 Tomas bug added subscriber Tomas
2016-05-20 13:47:29 tobson bug added subscriber tobson
2016-05-24 09:38:53 s bug added subscriber s
2016-06-03 02:31:30 Jared Dominguez bug added subscriber Jared Dominguez
2016-08-13 10:11:43 Gary bug added subscriber Gary
2017-07-11 05:23:54 Eduardo Carneiro Rosas bug added subscriber Eduardo Carneiro Rosas
2017-11-29 02:20:25 Alex Tu tags apport-collected bot-comment latest-bios-1.02 vivid wily xenial apport-collected bot-comment latest-bios-1.02 lp1734862 vivid wily xenial
2017-11-29 02:20:49 Alex Tu bug task added ubuntux
2017-11-29 02:21:08 Alex Tu affects ubuntux oem-priority
2017-11-29 02:22:40 AceLan Kao bug added subscriber Canonical Hardware Enablement Team
2017-11-29 02:22:44 AceLan Kao tags apport-collected bot-comment latest-bios-1.02 lp1734862 vivid wily xenial apport-collected bot-comment latest-bios-1.02 lp1734862 originate-from-1734862 somerville vivid wily xenial
2017-11-29 02:24:50 Alex Tu oem-priority: importance Undecided Critical
2017-11-29 02:26:19 Alex Tu oem-priority: assignee Alex Tu (alextu)
2017-11-29 02:51:32 Edison Lei removed subscriber Edison Lei
2017-11-29 07:00:56 Yuan-Chen Cheng oem-priority: status New In Progress
2017-11-29 07:01:04 Yuan-Chen Cheng oem-priority: status In Progress Triaged
2017-12-04 04:29:36 WinEunuchs2Unix bug added subscriber WinEunuchs2Unix
2018-01-10 03:06:44 顾海波 bug added subscriber 顾海波
2018-03-20 05:11:47 Alex Tu oem-priority: status Triaged Fix Released
2018-07-31 17:20:08 Alex linux-firmware (Ubuntu): assignee Alex (leksander3)
2018-08-29 17:28:50 Anthony Wong linux-firmware (Ubuntu): assignee Alex (leksander3)
2018-08-29 17:28:53 Anthony Wong hwe-next: status New Fix Released
2019-05-07 06:12:17 Rex Tsai tags apport-collected bot-comment latest-bios-1.02 lp1734862 originate-from-1734862 somerville vivid wily xenial apport-collected bot-comment latest-bios-1.02 lp1734862 oem-priority originate-from-1734862 somerville vivid wily xenial
2019-05-07 06:13:53 Rex Tsai linux-firmware (Ubuntu): status Confirmed Fix Released